*DECK INFNDA
      SUBROUTINE INFNDA(CFILNA,IPRINT,NBISO,HNAMIS,AWRISO)
*
*-----------------------------------------------------------------------
*
*Purpose:
* recover isotopic masses for isotopes of NDAS-type libraries
*
*Copyright:
* Copyright (C) 2006 Ecole Polytechnique de Montreal
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2.1 of the License, or (at your option) any later version.
*
*Author(s): A. Hebert
*
*Parameters: input
* CFILNA  name of the NDAS file
* IPRINT  print flag
* NBISO   number of isotopes present in the calculation domain
* HNAMIS  isotope names
*
*Parameters: output
* AWRISO  isotopic masses
*
*-----------------------------------------------------------------------
*
      IMPLICIT NONE
*----
*  Subroutine arguments
*----
      INTEGER IPRINT,NBISO
      CHARACTER CFILNA*(*),HNAMIS(NBISO)*8
      REAL AWRISO(NBISO)
*
      CALL XABORT('INFNDA: NOT AVAILABLE IN THIS VERSION OF DRAGON.')
      RETURN
      END
