*DECK LIBND7
      SUBROUTINE LIBND7 (MAXDIL,NGRO,NAMFIL,HNISOR,NDIL,DILUT)
*
*-----------------------------------------------------------------------
*
*Purpose:
* find the dilutions corresponding to a resonant isotope within a
* library in NDAS format.
*
*Copyright:
* Copyright (C) 2006 Ecole Polytechnique de Montreal
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2.1 of the License, or (at your option) any later version.
*
*Author(s): A. Hebert
*
*Parameters: input
* MAXDIL  maximum number of dilutions
* NGRO    number of energy groups
* NAMFIL  NDAS library name
* HNISOR  library name of the isotope
*
*Parameters: output
* NDIL    number of finite dilutions.
* DILUT   dilutions.
*
*-----------------------------------------------------------------------
*
      IMPLICIT NONE
*----
*  Subroutine arguments
*----
      CHARACTER NAMFIL*(*),HNISOR*12
      INTEGER MAXDIL,NGRO,NDIL
      REAL DILUT(MAXDIL)
*
      CALL XABORT('LIBND7: NOT AVAILABLE IN THIS VERSION OF DRAGON.')
      RETURN
      END
