*DECK XELCTR
      SUBROUTINE XELCTR(IFOLD,IFTRK,MXSEGO,CUTOFX,ALBEDO)

      IMPLICIT NONE

      INTEGER IFOLD,IFTRK,MXSEGO
      REAL CUTOFX,ALBEDO(6)

      INTEGER NCOMNT,NSCRP,NDIM,ISPEC,NREG,NSOUT,NALBG,NCOR,NANGL,NRS,
     1 ICODE(6),II,JJ,NBTRK,MXSEG,IANG,LINE,ITRAK,NOLDS,NNEWS,NCSEG
      INTEGER VOLSUR,MATALB,ANGLE,DENSTY,NRSEG,SEGLEN
      REAL VOLMIN,RCUT,WEIGHT,ASCRP
      CHARACTER CTRK*4,COMENT*80

      INTEGER IBASE(1)
      REAL BASE
      COMMON BASE(1)
      EQUIVALENCE (BASE(1),IBASE(1))

*---
*  Read Old Tracking File
*---
      READ (IFOLD) CTRK,NCOMNT,NSCRP
      DO II=1,NCOMNT
         READ(IFOLD) COMENT
      ENDDO
      READ (IFOLD) NDIM,ISPEC,NREG,NSOUT,NALBG,NCOR,NANGL,NSCRP
      IF(NALBG.LE.0.OR.NALBG.GT.6)THEN
         CALL XABORT('XELCTR: NALBG.GT.6.OR.NALBG.LE.0'//
     1               ' ON TRACKING FILE')
      ENDIF
      NRS=NREG+NSOUT+1
      CALL SETARA(BASE,NRS,VOLSUR)
      CALL SETARA(IBASE,NRS,MATALB)
      CALL SETARA(BASE,NDIM*NANGL,ANGLE)
      CALL SETARA(BASE,NANGL,DENSTY)
      CALL SETARA(IBASE,MXSEGO,NRSEG)
      CALL SETARA(BASE,MXSEGO,SEGLEN)
      READ (IFOLD) (BASE(VOLSUR-1+II),II=1,NRS)
      READ (IFOLD) (IBASE(MATALB-1+II),II=1,NRS)
      READ (IFOLD) (ICODE(II),II=1,NALBG)
      READ (IFOLD) (ALBEDO(II),II=1,NALBG)
      READ (IFOLD) ((BASE(ANGLE-1+(JJ-1)*NDIM+II),II=1,NDIM),JJ=1,NANGL)
      READ (IFOLD) (BASE(DENSTY-1+II),II=1,NANGL)
      VOLMIN=BASE(VOLSUR+NSOUT+1)
      DO II= NSOUT+2,NSOUT+NREG
        VOLMIN=MIN(VOLMIN,BASE(VOLSUR+II))
      ENDDO
      RCUT=VOLMIN*CUTOFX
      NBTRK= 0
      MXSEG= 0
 20   CONTINUE
         READ(IFOLD,END=40) IANG,LINE,WEIGHT,
     1                      (IBASE(NRSEG-1+II),II=1,LINE),
     2                      (BASE(SEGLEN-1+II),II=1,LINE)
         MXSEG=MAX(MXSEG,LINE)
         NBTRK=NBTRK+1
      GOTO 20
   40 CONTINUE
*---
*  Construct New Tracking File
*---
      REWIND IFOLD
      READ (IFOLD) CTRK,NSCRP,NSCRP
      WRITE(IFTRK) CTRK,NCOMNT,NBTRK
      DO II=1,NCOMNT
         READ (IFOLD) COMENT
         WRITE(IFTRK) COMENT
      ENDDO
      READ (IFOLD) (NSCRP,II=1,8)
      WRITE(IFTRK) NDIM,ISPEC,NREG,NSOUT,NALBG,NCOR,NANGL,MXSEG
      READ (IFOLD) (ASCRP,II=-NSOUT,NREG)
      WRITE(IFTRK) (BASE(VOLSUR-1+II),II=1,NRS)
      READ (IFOLD) (NSCRP,II=-NSOUT,NREG)
      WRITE(IFTRK) (IBASE(MATALB-1+II),II=1,NRS)
      READ (IFOLD) (NSCRP,II=1,NALBG)
      WRITE(IFTRK) (ICODE(II),II=1,NALBG)
      READ (IFOLD) (ASCRP,II=1,NALBG)
      WRITE(IFTRK) (ALBEDO(II),II=1,NALBG)
      READ (IFOLD) ((ASCRP,II=1,NDIM),JJ=1,NANGL)
      WRITE(IFTRK) ((BASE(ANGLE-1+(JJ-1)*NDIM+II),II=1,NDIM),JJ=1,NANGL)
      READ (IFOLD) (ASCRP,II=1,NANGL)
      WRITE(IFTRK) (BASE(DENSTY-1+II),II=1,NANGL)
      DO ITRAK=1, NBTRK
         READ(IFOLD) IANG,LINE,WEIGHT,
     1                   (IBASE(NRSEG-1+II),II=1,LINE),
     2                   (BASE(SEGLEN-1+II),II=1,LINE)
         IF (RCUT.GT.0.0)THEN
            II=0
   23       CONTINUE
               IF (II.EQ.LINE) GO TO 25
               II=II+1
               IF (BASE(SEGLEN-1+II).LT.RCUT) THEN
                  IF (II.NE.LINE) THEN
                     DO JJ= II+1, LINE
                        IBASE(NRSEG-2+JJ)=IBASE(NRSEG-1+JJ) !NRSEG(JJ-1)= NRSEG(JJ)
                        BASE(SEGLEN-2+JJ)=BASE(SEGLEN-1+JJ) !PATH(JJ-1)=  PATH(JJ)
                     ENDDO
                  ELSE
                     LINE=LINE-1
                     GOTO 25
                  ENDIF
                  LINE=LINE-1
                  II=II-1
               ENDIF
               GOTO 23
   25       CONTINUE
         ENDIF
         NOLDS=IBASE(NRSEG)
         NCSEG=1
         DO II=2,LINE
            NNEWS=IBASE(NRSEG-1+II)
            IF ((NNEWS.LT.0).OR.(NNEWS.NE.NOLDS)) THEN
               NOLDS=NNEWS
               NCSEG=NCSEG+1
               IBASE(NRSEG-1+NCSEG)=IBASE(NRSEG-1+II)
               BASE(SEGLEN-1+NCSEG)=BASE(SEGLEN-1+II)
            ELSEIF (NNEWS.EQ.NOLDS) THEN
               BASE(SEGLEN-1+NCSEG)=BASE(SEGLEN-1+NCSEG)
     1                             +BASE(SEGLEN-1+II)
            ENDIF
         ENDDO
         WRITE(IFTRK) IANG,NCSEG,WEIGHT,
     1                (IBASE(NRSEG-1+II),II=1,NCSEG),
     2                (BASE(SEGLEN-1+II),II=1,NCSEG)
      ENDDO
      CALL RLSARA(BASE(SEGLEN))
      CALL RLSARA(IBASE(NRSEG))
      CALL RLSARA(BASE(DENSTY))
      CALL RLSARA(BASE(ANGLE))
      CALL RLSARA(IBASE(MATALB))
      CALL RLSARA(BASE(VOLSUR))
*
      RETURN
      END

