*DECK LCMEQU
      SUBROUTINE LCMEQU(IPLIS1,IPLIS2)
*
*-----------------------------------------------------------------------
*
* COPY THE INFORMATION CONTAINED IN THE ACTIVE DIRECTORY OF THE TABLE
* OR XSM FILE POINTED BY IPLIS1 INTO THE TABLE OR XSM FILE POINTED BY
* IPLIS2. IPLIS2 IS NOT CREATED BY LCMEQU.
*
* INPUT PARAMETERS:
*  IPLIS1 : ADDRESS OF THE TABLE OR HANDLE TO THE XSM FILE.
*
* OUTPUT PARAMETER:
*  IPLIS2 : ADDRESS OF THE TABLE OR HANDLE TO THE XSM FILE.
*
*------------------------------------- AUTHOR: A. HEBERT ; 27/12/93 ----
*
      PARAMETER (MAXLEV=50)
      PARAMETER (IHEAD=0,IHNAM=1,ILLIST=4,INEXT=5,IFATH=6,IFDIR=7,
     1 IMODE=8,INREF=10,LFNODE=12)
      PARAMETER (JDATA=0,JJLON=1,JJTYP=2,JCMT=7)
      CHARACTER NAMT*12,HSMG*131,NAMLCM*12,MYNAME*12,PATH(MAXLEV)*12,
     1 FIRST(MAXLEV)*12
      LOGICAL EMPTY,LCM
      INTEGER PTMP
      INTEGER KDATA1(MAXLEV),KDATA2(MAXLEV),KJLON(MAXLEV),IVEC(MAXLEV),
     1 IGO(MAXLEV)
      COMMON IBASE(1)
*
      IF((IBASE(IPLIS1+IHEAD).NE.100).AND.
     1   (IBASE(IPLIS1+IHEAD).NE.200)) THEN
         WRITE(HSMG,'(A,3A4,A)') 'LCMEQU: THE TABLE ''',
     1   (IBASE(IPLIS1+IHNAM+I),I=0,2),''' HAS THE WRONG HEADER(1).'
         CALL XABORT(HSMG)
      ELSE IF((IBASE(IPLIS2+IHEAD).NE.100).AND.
     1        (IBASE(IPLIS2+IHEAD).NE.200)) THEN
         WRITE(HSMG,'(A,3A4,A)') 'LCMEQU: THE TABLE ''',
     1   (IBASE(IPLIS2+IHNAM+I),I=0,2),''' HAS THE WRONG HEADER(2).'
         CALL XABORT(HSMG)
      ELSE IF(IBASE(IPLIS1+ILLIST).GE.0) THEN
         WRITE(HSMG,'(A,3A4,A)') 'LCMEQU: THE OBJECT ''',
     1   (IBASE(IPLIS1+IHNAM+I),I=0,2),''' IS A LIST.'
         CALL XABORT(HSMG)
      ENDIF
*
      ILEV=1
      KDATA1(1)=IPLIS1
      KDATA2(1)=IPLIS2
      KJLON(1)=-1
      IVEC(1)=1
      IF((IBASE(IPLIS1+IHEAD).EQ.100).AND.(IBASE(IPLIS2+IHEAD).EQ.100))
     1 THEN
*        USE A FAST COPY ALGORITHM.
*
*        ASSOCIATIVE TABLE DATA.
         IGO(1)=5
   10    INODE=IBASE(IPLIS1+INEXT)
         IF(INODE.EQ.0) GO TO (75,75,115,115,200),IGO(ILEV)
         NREF=IBASE(IPLIS1+INREF)
         IREF=0
   20    IREF=IREF+1
         IF(IREF.GT.NREF) GO TO (75,75,115,115,200),IGO(ILEV)
         PTMP=INODE+10*(IREF-1)
         CALL LCMCAR(NAMT,.FALSE.,IBASE(PTMP+JCMT))
         IF(NAMT.EQ.' ') GO TO 20
         ILONG=IBASE(PTMP+JJLON)
         ITYLCM=IBASE(PTMP+JJTYP)
         IF(ITYLCM.EQ.0) THEN
*           ASSOCIATIVE TABLE DATA.
            ILEV=ILEV+1
            IF(ILEV.GT.MAXLEV) THEN
               WRITE(HSMG,'(2A,3A4,A)') 'LCMEQU: TOO MANY DIRECTORY ',
     1         'LEVELS ON ''',(IBASE(IPLIS1+IHNAM+I),I=0,2),'''(1).'
               CALL XABORT(HSMG)
            ENDIF
            KDATA1(ILEV)=IBASE(PTMP+JDATA)
            KJLON(ILEV)=-1
            KDATA2(ILEV)=LCMDID(IPLIS2,NAMT)
            IPLIS1=KDATA1(ILEV)
            IPLIS2=KDATA2(ILEV)
            IVEC(ILEV)=1
            IGO(ILEV)=1
            GO TO 10
         ELSE IF(ITYLCM.EQ.10) THEN
*           LIST DATA.
            ILEV=ILEV+1
            IF(ILEV.GT.MAXLEV) THEN
               WRITE(HSMG,'(2A,3A4,A)') 'LCMEQU: TOO MANY DIRECTORY ',
     1         'LEVELS ON ''',(IBASE(IPLIS1+IHNAM+I),I=0,2),'''(3).'
               CALL XABORT(HSMG)
            ENDIF
            KDATA1(ILEV)=IBASE(PTMP+JDATA)
            KJLON(ILEV)=ILONG
            KDATA2(ILEV)=LCMLID(IPLIS2,NAMT,ILONG)
            IPLIS1=KDATA1(ILEV)
            IPLIS2=KDATA2(ILEV)
            IVEC(ILEV)=0
            IGO(ILEV)=2
            GO TO 80
         ELSE
            CALL SETARA(IBASE,ILONG,IASS)
            DO 70 I=0,ILONG-1
   70       IBASE(IASS+I)=IBASE(IBASE(PTMP+JDATA)+I)
            CALL LCMPOF(IPLIS2,NAMT,ILONG,ITYLCM,IASS)
         ENDIF
         GO TO 20
*
   75    ILEV=ILEV-1
         IREF=IBASE(IPLIS1+IFDIR)
         IPLIS1=KDATA1(ILEV)+(IVEC(ILEV)-1)*LFNODE
         IPLIS2=KDATA2(ILEV)+(IVEC(ILEV)-1)*LFNODE
         INODE=IBASE(IPLIS1+INEXT)
         NREF=IBASE(IPLIS1+INREF)
         GO TO 20
*
*        LIST.
   80    IVEC(ILEV)=IVEC(ILEV)+1
         IF(IVEC(ILEV).GT.KJLON(ILEV)) THEN
            GO TO (75,75,115,115,200),IGO(ILEV)
         ENDIF
         KNODE=IBASE(KDATA1(ILEV)+(IVEC(ILEV)-1)*LFNODE+INEXT)
         IF(KNODE.EQ.0) GO TO 80
         ILONG=IBASE(KNODE+JJLON)
         ITYLCM=IBASE(KNODE+JJTYP)
         IF(ITYLCM.EQ.0) THEN
*           ASSOCIATIVE TABLE DATA.
            ILEV=ILEV+1
            IF(ILEV.GT.MAXLEV) THEN
               WRITE(HSMG,'(2A,3A4,A)') 'LCMEQU: TOO MANY DIRECTORY ',
     1         'LEVELS ON ''',(IBASE(IPLIS1+IHNAM+I),I=0,2),'''(4).'
               CALL XABORT(HSMG)
            ENDIF
            KDATA1(ILEV)=IBASE(KNODE+JDATA)
            KJLON(ILEV)=-1
            KDATA2(ILEV)=LCMDIL(IPLIS2,IVEC(ILEV-1))
            IPLIS1=KDATA1(ILEV)
            IPLIS2=KDATA2(ILEV)
            IVEC(ILEV)=1
            IGO(ILEV)=3
            GO TO 10
         ELSE IF(ITYLCM.EQ.10) THEN
*           LIST DATA.
            ILEV=ILEV+1
            IF(ILEV.GT.MAXLEV) THEN
               WRITE(HSMG,'(2A,3A4,A)') 'LCMEQU: TOO MANY DIRECTORY ',
     1         'LEVELS ON ''',(IBASE(IPLIS1+IHNAM+I),I=0,2),'''(5).'
               CALL XABORT(HSMG)
            ENDIF
            KDATA1(ILEV)=IBASE(KNODE+JDATA)
            KJLON(ILEV)=ILONG
            KDATA2(ILEV)=LCMLIL(IPLIS2,IVEC(ILEV-1),ILONG)
            IPLIS1=KDATA1(ILEV)
            IPLIS2=KDATA2(ILEV)
            IVEC(ILEV)=0
            IGO(ILEV)=4
            GO TO 80
         ELSE
            CALL SETARA(IBASE,ILONG,IASS)
            DO 110 I=0,ILONG-1
  110       IBASE(IASS+I)=IBASE(IBASE(KNODE+JDATA)+I)
            CALL LCMPSL(IPLIS2,IVEC(ILEV),ILONG,ITYLCM,IASS)
         ENDIF
         GO TO 80
*
  115    ILEV=ILEV-1
         IPLIS1=KDATA1(ILEV)
         IPLIS2=KDATA2(ILEV)
         GO TO 80
      ELSE
*        USE A GENERAL COPY ALGORITHM.
*
*        ASSOCIATIVE TABLE.
         IGO(1)=5
  120    CALL LCMINF(IPLIS1,NAMLCM,MYNAME,EMPTY,ILONG,LCM)
         IF(EMPTY) GO TO (160,160,190,190,200),IGO(ILEV)
         NAMT=' '
         CALL LCMNXT(IPLIS1,NAMT)
*
         FIRST(ILEV)=NAMT
  130    CALL LCMLEN(IPLIS1,NAMT,ILONG,ITYLCM)
         IF((ILONG.NE.0).AND.(ITYLCM.EQ.0)) THEN
*           ASSOCIATIVE TABLE DATA.
            ILEV=ILEV+1
            IF(ILEV.GT.MAXLEV) THEN
               WRITE(HSMG,'(2A,A12,A)') 'LCMEQU: TOO MANY DIRECTORY ',
     1         'LEVELS ON ''',NAMLCM,'''(6).'
               CALL XABORT(HSMG)
            ENDIF
            KJLON(ILEV)=ILONG
            KDATA1(ILEV)=LCMGID(IPLIS1,NAMT)
            KDATA2(ILEV)=LCMDID(IPLIS2,NAMT)
            PATH(ILEV)=NAMT
            IPLIS1=KDATA1(ILEV)
            IPLIS2=KDATA2(ILEV)
            IVEC(ILEV)=1
            IGO(ILEV)=1
            GO TO 120
         ELSE IF((ILONG.NE.0).AND.(ITYLCM.EQ.10)) THEN
*           LIST DATA.
            ILEV=ILEV+1
            IF(ILEV.GT.MAXLEV) THEN
               WRITE(HSMG,'(2A,A12,A)') 'LCMEQU: TOO MANY DIRECTORY ',
     1         'LEVELS ON ''',NAMLCM,'''(7).'
               CALL XABORT(HSMG)
            ENDIF
            KJLON(ILEV)=ILONG
            KDATA1(ILEV)=LCMGID(IPLIS1,NAMT)
            KDATA2(ILEV)=LCMLID(IPLIS2,NAMT,ILONG)
            PATH(ILEV)=NAMT
            IPLIS1=KDATA1(ILEV)
            IPLIS2=KDATA2(ILEV)
            IVEC(ILEV)=0
            IGO(ILEV)=2
            GO TO 170
         ELSE IF((ILONG.NE.0).AND.(ITYLCM.LE.6)) THEN
            CALL SETARA(IBASE,ILONG,IASS)
            CALL LCMGET(IPLIS1,NAMT,IBASE(IASS))
            CALL LCMPOF(IPLIS2,NAMT,ILONG,ITYLCM,IASS)
         ENDIF
         CALL LCMNXT(IPLIS1,NAMT)
         IF(NAMT.NE.FIRST(ILEV)) GO TO 130
         GO TO (160,160,190,190,200),IGO(ILEV)
*
  160    NAMT=PATH(ILEV)
         ILEV=ILEV-1
         IPLIS1=KDATA1(ILEV)
         IPLIS2=KDATA2(ILEV)
         CALL LCMNXT(IPLIS1,NAMT)
         IF(NAMT.NE.FIRST(ILEV)) GO TO 130
         GO TO (160,160,190,190,200),IGO(ILEV)
*
*        LIST.
  170    IVEC(ILEV)=IVEC(ILEV)+1
         IF(IVEC(ILEV).GT.KJLON(ILEV)) THEN
            GO TO (160,160,190,190,200),IGO(ILEV)
         ENDIF
         CALL LCMLEL(KDATA1(ILEV),IVEC(ILEV),ILONG,ITYLCM)
         IF((ILONG.NE.0).AND.(ITYLCM.EQ.0)) THEN
*           ASSOCIATIVE TABLE DATA.
            ILEV=ILEV+1
            IF(ILEV.GT.MAXLEV) THEN
               WRITE(HSMG,'(2A,A12,A)') 'LCMEQU: TOO MANY DIRECTORY ',
     1         'LEVELS ON ''',NAMLCM,'''(8).'
               CALL XABORT(HSMG)
            ENDIF
            KJLON(ILEV)=-1
            KDATA1(ILEV)=LCMGIL(IPLIS1,IVEC(ILEV-1))
            KDATA2(ILEV)=LCMDIL(IPLIS2,IVEC(ILEV-1))
            IPLIS1=KDATA1(ILEV)
            IPLIS2=KDATA2(ILEV)
            IVEC(ILEV)=1
            IGO(ILEV)=3
            GO TO 120
         ELSE IF((ILONG.NE.0).AND.(ITYLCM.EQ.10)) THEN
*           LIST DATA.
            ILEV=ILEV+1
            IF(ILEV.GT.MAXLEV) THEN
               WRITE(HSMG,'(2A,A12,A)') 'LCMEQU: TOO MANY DIRECTORY ',
     1         'LEVELS ON ''',NAMLCM,'''(9).'
               CALL XABORT(HSMG)
            ENDIF
            KJLON(ILEV)=ILONG
            KDATA1(ILEV)=LCMGIL(IPLIS1,IVEC(ILEV-1))
            KDATA2(ILEV)=LCMLIL(IPLIS2,IVEC(ILEV-1),ILONG)
            IPLIS1=KDATA1(ILEV)
            IPLIS2=KDATA2(ILEV)
            IVEC(ILEV)=0
            IGO(ILEV)=4
            GO TO 170
         ELSE IF((ILONG.NE.0).AND.(ITYLCM.LE.6)) THEN
            CALL SETARA(IBASE,ILONG,IASS)
            CALL LCMGDL(IPLIS1,IVEC(ILEV),IBASE(IASS))
            CALL LCMPSL(IPLIS2,IVEC(ILEV),ILONG,ITYLCM,IASS)
         ENDIF
         GO TO 170
*
  190    ILEV=ILEV-1
         IPLIS1=KDATA1(ILEV)
         IPLIS2=KDATA2(ILEV)
         GO TO 170
      ENDIF
  200 RETURN
      END
