*DECK LCMEXP
      SUBROUTINE LCMEXP(IPLIST,IMPX,NUNIT,IMODE,IDIR)
*
*-----------------------------------------------------------------------
*
* EXPORT/IMPORT THE CONTENT OF A TABLE OR XSM FILE USING THE CONTOUR
* METHOD. EXPORT START FROM THE ACTIVE DIRECTORY.
*
*  IPLIST : ADDRESS OF THE TABLE OR HANDLE TO THE XSM FILE.
*  IMPX   : EQUAL TO ZERO FOR NO PRINT.
*  NUNIT  : FILE UNIT NUMBER WHERE THE EXPORT/IMPORT IS PERFORMED.
*  IMODE  : TYPE OF EXPORT/IMPORT FILE:
*           =1 SEQUENTIAL UNFORMATTED; =2 SEQUENTIAL FORMATTED (ASCII).
*  IDIR   : =1 TO EXPORT ; =2 TO IMPORT.
*
*------------------------------------- AUTHOR: A. HEBERT ; 28/10/93 ----
*
      PARAMETER (MAXLEV=50)
      CHARACTER NAMT*12,MYNAME*12,PATH(MAXLEV)*12,FIRST(MAXLEV)*12,
     1 NAMLCM*12,HSMG*131,CMEDIU(2)*8
      INTEGER KDATA(MAXLEV),IVEC(MAXLEV),KJLON(MAXLEV),IGO(MAXLEV)
      LOGICAL EMPTY,LCM
      COMMON IBASE(1)
      DATA (CMEDIU(II),II=1,2)/'TABLE','XSM FILE'/
*
      CALL LCMINF(IPLIST,NAMLCM,MYNAME,EMPTY,ILONG,LCM)
      IMED=2
      IF(LCM) IMED=1
      IF((IMODE.LT.1).OR.(IMODE.GT.2)) THEN
         WRITE(HSMG,'(2A,A8,A,A12,A)') 'LCMEXP: INVALID FILE TYPE ON',
     1   ' THE ',CMEDIU(IMED),' NAMED ''',NAMLCM,'''.'
         CALL XABORT(HSMG)
      ELSE IF((IDIR.NE.1).AND.(IDIR.NE.2)) THEN
         WRITE(HSMG,'(A,A8,A,A12,A)') 'LCMEXP: INVALID ACTION ON THE ',
     1   CMEDIU(IMED),' NAMED ''',NAMLCM,'''.'
         CALL XABORT(HSMG)
      ENDIF
      ITOT=0
      ILEV=1
      KDATA(1)=IPLIST
      KJLON(1)=-1
      IVEC(1)=1
      IGO(1)=5
      IF(IDIR.EQ.2) GO TO 110
*
* FILE EXPORT.
      IF(IMPX.GT.0) THEN
         CALL LCMINF(IPLIST,NAMLCM,MYNAME,EMPTY,ILONG,LCM)
         WRITE(6,300) 'EXPORT',CMEDIU(IMED),NAMLCM,MYNAME
      ENDIF
      CALL LCMVAL(IPLIST,' ')
*
*     ASSOCIATIVE TABLE.
   10 CALL LCMINF(IPLIST,NAMLCM,MYNAME,EMPTY,ILONG,LCM)
      IF(EMPTY) GO TO 65
      NAMT=' '
      CALL LCMNXT(IPLIST,NAMT)
      LENNAM=12
      IF(NAMT.EQ.' ') LENNAM=0
*
      FIRST(ILEV)=NAMT
   20 CALL LCMLEN(IPLIST,NAMT,ILONG,ITYLCM)
      IF(ILONG.EQ.0) GO TO 60
      JLONG=ILONG
      IF((ITYLCM.EQ.4).OR.(ITYLCM.EQ.6)) JLONG=ILONG/2
      IF(IMPX.GT.0) WRITE(6,320) ILEV,NAMT,ITYLCM,JLONG
      IF((NUNIT.NE.0).AND.(IMODE.EQ.1)) THEN
         WRITE(NUNIT) ILEV,LENNAM,ITYLCM,JLONG
         IF(LENNAM.GT.0) WRITE(NUNIT) NAMT
      ELSE IF((NUNIT.NE.0).AND.(IMODE.EQ.2)) THEN
         WRITE(NUNIT,310) ILEV,LENNAM,ITYLCM,JLONG
         IF(LENNAM.GT.0) WRITE(NUNIT,'(A12,68(1H ))') NAMT
      ENDIF
      IF(ITYLCM.EQ.0) THEN
*        ASSOCIATIVE TABLE DATA.
         ILEV=ILEV+1
         IF(ILEV.GT.MAXLEV) THEN
            WRITE(HSMG,'(2A,A12,A)') 'LCMEXP: TOO MANY DIRECTORY ',
     1      'LEVELS ON ''',NAMLCM,'''(1).'
            CALL XABORT(HSMG)
         ENDIF
         KJLON(ILEV)=-1
         KDATA(ILEV)=LCMGID(IPLIST,NAMT)
         PATH(ILEV)=NAMT
         IPLIST=KDATA(ILEV)
         IVEC(ILEV)=1
         IGO(ILEV)=1
         GO TO 10
      ELSE IF(ITYLCM.EQ.10) THEN
*        LIST DATA.
         ILEV=ILEV+1
         IF(ILEV.GT.MAXLEV) THEN
            WRITE(HSMG,'(2A,A12,A)') 'LCMEXP: TOO MANY DIRECTORY ',
     1      'LEVELS ON ''',NAMLCM,'''(2).'
            CALL XABORT(HSMG)
         ENDIF
         KJLON(ILEV)=ILONG
         KDATA(ILEV)=LCMGID(IPLIST,NAMT)
         PATH(ILEV)=NAMT
         IPLIST=KDATA(ILEV)
         IVEC(ILEV)=0
         IGO(ILEV)=2
         GO TO 70
      ELSE IF(ITYLCM.LE.6) THEN
         ITOT=ITOT+ILONG
         CALL SETARA(IBASE,ILONG,IASS)
         CALL LCMGET(IPLIST,NAMT,IBASE(IASS))
*        ---------------- EXPORT A NODE ----------------
         CALL LCMNOD(NUNIT,IMODE,IDIR,JLONG,ITYLCM,IASS)
*        -----------------------------------------------
      ELSE
         WRITE(HSMG,'(2A,A8,A,A12,A)') 'LCMEXP: TRY TO EXPORT UNK',
     1   'NOWN TYPE RECORD ON THE ',CMEDIU(IMED),' NAMED ''',NAMLCM,
     2   '''(1).'
         CALL XABORT(HSMG)
      ENDIF
      GO TO 60
*
   55 NAMT=PATH(ILEV)
      ILEV=ILEV-1
      IPLIST=KDATA(ILEV)
*
   60 CALL LCMNXT(IPLIST,NAMT)
      IF(NAMT.NE.FIRST(ILEV)) GO TO 20
   65 IF((NUNIT.NE.0).AND.(IMODE.EQ.1)) THEN
         WRITE(NUNIT) -ILEV,0,0,0
      ELSE IF((NUNIT.NE.0).AND.(IMODE.EQ.2)) THEN
         WRITE(NUNIT,310) -ILEV,0,0,0
      ENDIF
      IF(IMPX.GT.0) WRITE(6,350) ILEV
      GO TO (55,55,95,95,100),IGO(ILEV)
*
*     LIST.
   70 IVEC(ILEV)=IVEC(ILEV)+1
      IF(IVEC(ILEV).GT.KJLON(ILEV)) THEN
         GO TO (55,55,95,95,100),IGO(ILEV)
      ENDIF
      CALL LCMLEL(KDATA(ILEV),IVEC(ILEV),ILONG,ITYLCM)
      JLONG=ILONG
      IF((ITYLCM.EQ.4).OR.(ITYLCM.EQ.6)) JLONG=ILONG/2
      IF(IMPX.GT.0) WRITE(6,320) ILEV,' ',ITYLCM,JLONG
      IF((NUNIT.NE.0).AND.(IMODE.EQ.1)) THEN
         WRITE(NUNIT) ILEV,0,ITYLCM,JLONG
      ELSE IF((NUNIT.NE.0).AND.(IMODE.EQ.2)) THEN
         WRITE(NUNIT,310) ILEV,0,ITYLCM,JLONG,IVEC(ILEV)
      ENDIF
      IF((ILONG.NE.0).AND.(ITYLCM.EQ.0)) THEN
*        ASSOCIATIVE TABLE DATA.
         ILEV=ILEV+1
         IF(ILEV.GT.MAXLEV) THEN
            WRITE(HSMG,'(2A,A12,A)') 'LCMEXP: TOO MANY DIRECTORY ',
     1      'LEVELS ON ''',NAMLCM,'''(3).'
            CALL XABORT(HSMG)
         ENDIF
         KJLON(ILEV)=-1
         KDATA(ILEV)=LCMGIL(IPLIST,IVEC(ILEV-1))
         IPLIST=KDATA(ILEV)
         IVEC(ILEV)=1
         IGO(ILEV)=3
         GO TO 10
      ELSE IF((ILONG.NE.0).AND.(ITYLCM.EQ.10)) THEN
*        LIST DATA.
         ILEV=ILEV+1
         IF(ILEV.GT.MAXLEV) THEN
            WRITE(HSMG,'(2A,A12,A)') 'LCMEXP: TOO MANY DIRECTORY ',
     1      'LEVELS ON ''',NAMLCM,'''(4).'
            CALL XABORT(HSMG)
         ENDIF
         KJLON(ILEV)=ILONG
         KDATA(ILEV)=LCMGIL(IPLIST,IVEC(ILEV-1))
         IPLIST=KDATA(ILEV)
         IVEC(ILEV)=0
         IGO(ILEV)=4
         GO TO 70
      ELSE IF((ILONG.NE.0).AND.(ITYLCM.LE.6)) THEN
         ITOT=ITOT+ILONG
         CALL SETARA(IBASE,ILONG,IASS)
         CALL LCMGDL(IPLIST,IVEC(ILEV),IBASE(IASS))
*        ---------------- EXPORT A NODE ----------------
         CALL LCMNOD(NUNIT,IMODE,IDIR,ILONG,ITYLCM,IASS)
*        -----------------------------------------------
      ELSE IF(ILONG.NE.0) THEN
         WRITE(HSMG,'(2A,A8,A,A12,A)') 'LCMEXP: TRY TO EXPORT UNK',
     1   'NOWN TYPE RECORD ON THE ',CMEDIU(IMED),' NAMED ''',NAMLCM,
     2   '''(2).'
         CALL XABORT(HSMG)
      ENDIF
      GO TO 70
*
   95 ILEV=ILEV-1
      IPLIST=KDATA(ILEV)
      GO TO 70
*
  100 IF(IMPX.GT.0) WRITE(6,330) 'EXPORTED',ITOT
      RETURN
*
* FILE IMPORT.
  110 IF(IMPX.GT.0) THEN
         CALL LCMINF(IPLIST,NAMLCM,MYNAME,EMPTY,ILONG,LCM)
         WRITE(6,300) 'IMPORT',CMEDIU(IMED),NAMLCM,MYNAME
      ENDIF
  120 IF((NUNIT.NE.0).AND.(IMODE.EQ.1)) THEN
         READ(NUNIT,END=190) JLEVEL,LENNAM,ITYLCM,ILONG
      ELSE IF((NUNIT.NE.0).AND.(IMODE.EQ.2)) THEN
         READ(NUNIT,340,END=190) JLEVEL,LENNAM,ITYLCM,ILONG
      ENDIF
      IF(JLEVEL.EQ.-ILEV) GO TO (155,155,185,185,190),IGO(ILEV)
      IF(LENNAM.GT.12) CALL XABORT('LCMEXP: A RECORD NAME IS GREATER '
     1 //'THAN 12 CHARACTERS.')
      IF(LENNAM.EQ.0) THEN
         NAMT=' '
      ELSE IF((NUNIT.NE.0).AND.(IMODE.EQ.1)) THEN
         READ(NUNIT) NAMT
      ELSE IF((NUNIT.NE.0).AND.(IMODE.EQ.2)) THEN
         READ(NUNIT,'(A12)') NAMT
      ENDIF
*
      IF(IMPX.GT.0) WRITE(6,320) JLEVEL,NAMT,ITYLCM,ILONG
      IF(JLEVEL.NE.ILEV) THEN
         WRITE(HSMG,'(A,A8,A,A12,A)') 'LCMEXP: UNABLE TO IMPORT ',
     1   CMEDIU(IMED),' NAMED ''',NAMLCM,'''.'
         CALL XABORT(HSMG)
      ENDIF
      IF(ITYLCM.EQ.0) THEN
*        IMPORT ASSOCIATIVE TABLE DATA.
         ILEV=ILEV+1
         IF(ILEV.GT.MAXLEV) THEN
            WRITE(HSMG,'(2A,A12,A)') 'LCMEXP: TOO MANY DIRECTORY ',
     1      'LEVELS ON ''',NAMLCM,'''(5).'
            CALL XABORT(HSMG)
         ENDIF
         KJLON(ILEV)=-1
         KDATA(ILEV)=LCMDID(IPLIST,NAMT)
         PATH(ILEV)=NAMT
         IPLIST=KDATA(ILEV)
         IVEC(ILEV)=1
         IGO(ILEV)=1
         GO TO 120
      ELSE IF(ITYLCM.EQ.10) THEN
*        IMPORT LIST DATA.
         ILEV=ILEV+1
         IF(ILEV.GT.MAXLEV) THEN
            WRITE(HSMG,'(2A,A12,A)') 'LCMEXP: TOO MANY DIRECTORY ',
     1      'LEVELS ON ''',NAMLCM,'''(6).'
            CALL XABORT(HSMG)
         ENDIF
         KJLON(ILEV)=ILONG
         KDATA(ILEV)=LCMLID(IPLIST,NAMT,ILONG)
         PATH(ILEV)=NAMT
         IPLIST=KDATA(ILEV)
         IVEC(ILEV)=0
         IGO(ILEV)=2
         GO TO 160
      ELSE IF(ITYLCM.LE.6) THEN
         JLONG=ILONG
         IF((ITYLCM.EQ.4).OR.(ITYLCM.EQ.6)) JLONG=2*ILONG
*        ---------------- IMPORT A NODE ----------------
         CALL LCMNOD(NUNIT,IMODE,IDIR,ILONG,ITYLCM,IASS)
*        -----------------------------------------------
         CALL LCMPOF(IPLIST,NAMT,JLONG,ITYLCM,IASS)
         ITOT=ITOT+JLONG
      ELSE
         WRITE(HSMG,'(2A,A8,A,A12,A)') 'LCMEXP: TRY TO IMPORT UNK',
     1   'NOWN TYPE RECORD ON THE ',CMEDIU(IMED),' NAMED ''',NAMLCM,
     2   '''(1).'
         CALL XABORT(HSMG)
      ENDIF
      GO TO 120
*
  155 NAMT=PATH(ILEV)
      ILEV=ILEV-1
      IPLIST=KDATA(ILEV)
      GO TO 120
*
  160 IVEC(ILEV)=IVEC(ILEV)+1
      IF(IVEC(ILEV).GT.KJLON(ILEV)) THEN
         GO TO (155,155,185,185,190),IGO(ILEV)
      ENDIF
      IF((NUNIT.NE.0).AND.(IMODE.EQ.1)) THEN
         READ(NUNIT,END=190) JLEVEL,LENNAM,ITYLCM,ILONG
      ELSE IF((NUNIT.NE.0).AND.(IMODE.EQ.2)) THEN
         READ(NUNIT,340,END=190) JLEVEL,LENNAM,ITYLCM,ILONG
      ENDIF
      IF(JLEVEL.NE.ILEV) THEN
         WRITE(HSMG,'(2A,A8,A,A12,A)') 'LCMEXP: INVALID LIST LEVEL',
     1   ' ON THE ',CMEDIU(IMED),' NAMED ''',NAMLCM,'''(2).'
         CALL XABORT(HSMG)
      ENDIF
      IF(IMPX.GT.0) WRITE(6,320) JLEVEL,' ',ITYLCM,ILONG
      IF((ILONG.NE.0).AND.(ITYLCM.EQ.0)) THEN
*        IMPORT ASSOCIATIVE TABLE DATA.
         ILEV=ILEV+1
         IF(ILEV.GT.MAXLEV) THEN
            WRITE(HSMG,'(2A,A12,A)') 'LCMEXP: TOO MANY DIRECTORY ',
     1      'LEVELS ON ''',NAMLCM,'''(7).'
            CALL XABORT(HSMG)
         ENDIF
         KJLON(ILEV)=-1
         KDATA(ILEV)=LCMDIL(IPLIST,IVEC(ILEV-1))
         IPLIST=KDATA(ILEV)
         IVEC(ILEV)=1
         IGO(ILEV)=3
         GO TO 120
      ELSE IF((ILONG.NE.0).AND.(ITYLCM.EQ.10)) THEN
*        IMPORT LIST DATA.
         ILEV=ILEV+1
         IF(ILEV.GT.MAXLEV) THEN
            WRITE(HSMG,'(2A,A12,A)') 'LCMEXP: TOO MANY DIRECTORY ',
     1      'LEVELS ON ''',NAMLCM,'''(8).'
            CALL XABORT(HSMG)
         ENDIF
         KJLON(ILEV)=ILONG
         KDATA(ILEV)=LCMLIL(IPLIST,IVEC(ILEV-1),ILONG)
         IPLIST=KDATA(ILEV)
         IVEC(ILEV)=0
         IGO(ILEV)=4
         GO TO 160
      ELSE IF((ILONG.NE.0).AND.(ITYLCM.LE.6)) THEN
         JLONG=ILONG
         IF((ITYLCM.EQ.4).OR.(ITYLCM.EQ.6)) JLONG=2*ILONG
*        ---------------- IMPORT A NODE ----------------
         CALL LCMNOD(NUNIT,IMODE,IDIR,ILONG,ITYLCM,IASS)
*        -----------------------------------------------
         CALL LCMPSL(IPLIST,IVEC(ILEV),JLONG,ITYLCM,IASS)
         ITOT=ITOT+JLONG
      ELSE IF(ILONG.NE.0) THEN
         WRITE(HSMG,'(2A,A8,A,A12,A)') 'LCMEXP: TRY TO IMPORT UNK',
     1   'NOWN TYPE RECORD ON THE ',CMEDIU(IMED),' NAMED ''',NAMLCM,
     2   '''(2).'
         CALL XABORT(HSMG)
      ENDIF
      GO TO 160
*
  185 ILEV=ILEV-1
      IPLIST=KDATA(ILEV)
      GO TO 160
*
  190 IF(ILEV.NE.1) CALL XABORT('LCMEXP: TRUNCATED IMPORT FILE.')
      IF(IMPX.GT.0) WRITE(6,330) 'IMPORTED',ITOT
      RETURN
*
  300 FORMAT (//9H LCMEXP: ,A6,1H ,A8,8H NAMED ',A12,14H' FROM ACTIVE ,
     1 11HDIRECTORY ',A12,3H' ://18H LEVEL  BLOCK NAME,3(1H-),5X,4HTYPE,
     2 8H  LENGTH/)
  310 FORMAT ('->',4I8,32(1H ),' <-   ',I8.8)
  320 FORMAT (1X,I5,3H  ',A12,1H',2I8)
  330 FORMAT (/23H TOTAL NUMBER OF WORDS ,A8,2H =,I10/)
  340 FORMAT (2X,4I8)
  350 FORMAT (1X,I5,2X,14('-'))
      END
