*DECK LCMGDL
      SUBROUTINE LCMGDL(IPLIST,ISET,IDATA1)
*
*-----------------------------------------------------------------------
*
* COPY A BLOCK OF DATA FROM A LIST INTO MEMORY.
*
* INPUT PARAMETERS:
*  IPLIST : ADDRESS OF THE LIST.
*    ISET : POSITION OF THE SPECIFIC ELEMENT.
*
* OUTPUT PARAMETER:
*  IDATA1 : INFORMATION ELEMENTS. DIMENSION IDATA1(ILONG) WHERE ILONG
*           IS THE NUMBER OF INFORMATION ELEMENTS.
*
*------------------------------------- AUTHOR: A. HEBERT ; 25/10/93 ----
*
      INTEGER PTMP,PDATA
      PARAMETER (IHEAD=0,IHNAM=1,ILLIST=4,INEXT=5,IFATH=6,IFDIR=7,
     1 IMODE=8,ICANG=11,LFNODE=12)
      PARAMETER (JDATA=0,JJLON=1,JJTYP=2,JCMT=7)
      PARAMETER (LXDIR1=11)
      CHARACTER TEXT12*12,HSMG*131
      INTEGER IDATA1(*)
      COMMON IBASE(1)
*
      IF((ISET.LE.0).OR.(ISET.GT.IBASE(IPLIST+ILLIST))) THEN
         WRITE(HSMG,'(A,I5,A,I5,A,3A4,A)') 'LCMGDL: LIST INDEX',ISET,
     1   ' OUT OF BOUNDS (1,',IBASE(IPLIST+ILLIST),') IN OBJECT ''',
     2   (IBASE(IPLIST+IHNAM+I),I=0,2),'''.'
         CALL XABORT(HSMG)
      ELSE IF(IBASE(IPLIST+IHEAD).EQ.200) THEN
*        USE A XSM FILE.
         CALL XSMGET(IPLIST+(ISET-1)*LXDIR1,' ',IDATA1)
         RETURN
      ELSE IF(IBASE(IPLIST+IHEAD).NE.100) THEN
         WRITE(HSMG,'(A,3A4,A)') 'LCMGDL: THE TABLE ''',
     1   (IBASE(IPLIST+IHNAM+I),I=0,2),''' HAS THE WRONG HEADER.'
         CALL XABORT(HSMG)
      ELSE IF(IBASE(IPLIST+IMODE).EQ.0) THEN
         WRITE(HSMG,'(A,3A4,A)') 'LCMGDL: THE TABLE ''',
     1   (IBASE(IPLIST+IHNAM+I),I=0,2),''' IS CLOSED.'
         CALL XABORT(HSMG)
      ELSE IF(IBASE(IPLIST+IFATH).EQ.0) THEN
         WRITE(HSMG,'(2A)') 'LCMGDL: THE FATHER TABLE (''/'') IS NOT',
     1   ' A LIST.'
         CALL XABORT(HSMG)
      ELSE
         IP=IBASE(IPLIST+IFDIR)
         PTMP=IBASE(IBASE(IPLIST+IFATH)+INEXT)+10*(IP-1)
         IF(IBASE(PTMP+JJTYP).NE.10) THEN
            CALL LCMCAR(TEXT12,.FALSE.,IBASE(PTMP+JCMT))
            WRITE(HSMG,'(A,A12,A)') 'LCMGDL: THE FATHER TABLE ''',
     1      TEXT12,''' IS NOT A LIST.'
            CALL XABORT(HSMG)
         ENDIF
      ENDIF
      IPNODE=IBASE(IPLIST+(ISET-1)*LFNODE+INEXT)
      IF(IPNODE.NE.0) THEN
         PDATA=IBASE(IPNODE+JDATA)-1
         DO 10 J=1,IBASE(IPNODE+JJLON)
   10    IDATA1(J)=IBASE(PDATA+J)
         RETURN
      ENDIF
      IP=IBASE(IPLIST+IFDIR)
      PTMP=IBASE(IBASE(IPLIST+IFATH)+INEXT)+10*(IP-1)
      CALL LCMCAR(TEXT12,.FALSE.,IBASE(PTMP+JCMT))
      WRITE(HSMG,'(2A,I5,A,A12,A,3A4,A)') 'LCMGDL: UNABLE TO FIND LIS',
     1 'T ELEMENT',ISET,' INTO DIRECTORY ''',TEXT12,''' IN TABLE ''',
     2 (IBASE(IPLIST+IHNAM+I),I=0,2),'''.'
      CALL XABORT(HSMG)
      END
