*DECK LCMGET
      SUBROUTINE LCMGET(IPLIST,NAMP,IDATA1)
*
*-----------------------------------------------------------------------
*
* COPY A BLOCK OF DATA FROM A TABLE INTO MEMORY.
*
* INPUT PARAMETERS:
*  IPLIST : ADDRESS OF THE TABLE.
*    NAMP : CHARACTER*12 NAME OF THE CURRENT BLOCK.
*
* OUTPUT PARAMETER:
*  IDATA1 : INFORMATION ELEMENTS. DIMENSION IDATA1(ILONG) WHERE ILONG
*           IS THE NUMBER OF INFORMATION ELEMENTS.
*
*------------------------------------- AUTHOR: A. HEBERT ; 25/10/93 ----
*
      PARAMETER (LHASH=251)
      INTEGER PTMP,PDATA
      PARAMETER (IHEAD=0,IHNAM=1,ILLIST=4,INEXT=5,IFATH=6,IFDIR=7,
     1 IMODE=8,IMAX=9)
      PARAMETER (JDATA=0,JJLON=1,JCMT=7)
      CHARACTER NAMP*(*),NAMT*12,TEXT12*12,HSMG*131
      INTEGER IDATA1(*),INAMT(3)
      COMMON IBASE(1)
*
      IF((IBASE(IPLIST+IHEAD).NE.100).AND.(IBASE(IPLIST+IHEAD).NE.200))
     1   THEN
         WRITE(HSMG,'(A,3A4,A)') 'LCMGET: THE TABLE ''',
     1   (IBASE(IPLIST+IHNAM+I),I=0,2),''' HAS THE WRONG HEADER.'
         CALL XABORT(HSMG)
      ELSE IF(IBASE(IPLIST+ILLIST).GE.0) THEN
         WRITE(HSMG,'(A,3A4,A)') 'LCMGET: THE OBJECT ''',
     1   (IBASE(IPLIST+IHNAM+I),I=0,2),''' IS A LIST.'
         CALL XABORT(HSMG)
      ELSE IF(IBASE(IPLIST+IHEAD).EQ.200) THEN
*        USE A XSM FILE.
         CALL XSMGET(IPLIST,NAMP,IDATA1)
         RETURN
      ELSE IF(IBASE(IPLIST+IMODE).EQ.0) THEN
         WRITE(HSMG,'(A,3A4,A)') 'LCMGET: THE TABLE ''',
     1   (IBASE(IPLIST+IHNAM+I),I=0,2),''' IS CLOSED.'
         CALL XABORT(HSMG)
      ENDIF
      NAMT=NAMP
      CALL LCMCAR(NAMT,.TRUE.,INAMT)
      IPNODE=IBASE(IPLIST+INEXT)
      IF(IPNODE.EQ.0) GO TO 30
      IPOS=MOD(ABS(INAMT(1)+3*INAMT(2)+5*INAMT(3)),LHASH)
      JHASH=10*IBASE(IPLIST+IMAX)
      DO 20 I=IBASE(IPNODE+JHASH+IPOS),1,-1
      IF(INAMT(1).EQ.IBASE(IPNODE+10*(I-1)+JCMT)) THEN
         IF(INAMT(2).EQ.IBASE(IPNODE+10*(I-1)+JCMT+1)) THEN
            IF(INAMT(3).EQ.IBASE(IPNODE+10*(I-1)+JCMT+2)) THEN
               PDATA=IBASE(IPNODE+10*(I-1)+JDATA)-1
               DO 10 J=1,IBASE(IPNODE+10*(I-1)+JJLON)
   10          IDATA1(J)=IBASE(PDATA+J)
               RETURN
            ENDIF
         ENDIF
      ENDIF
   20 CONTINUE
   30 IF(IBASE(IPLIST+IFATH).EQ.0) THEN
         TEXT12='/'
      ELSE
         PTMP=IBASE(IBASE(IPLIST+IFATH)+INEXT)
         IF(PTMP.EQ.0) THEN
            TEXT12=' '
         ELSE
            IP=IBASE(IPLIST+IFDIR)
            CALL LCMCAR(TEXT12,.FALSE.,IBASE(PTMP+10*(IP-1)+JCMT))
         ENDIF
      ENDIF
      WRITE(HSMG,'(2A,A12,A,A12,A,3A4,A)') 'LCMGET: UNABLE TO FIND BL',
     1 'OCK ''',NAMT,''' INTO DIRECTORY ''',TEXT12,''' IN THE TABLE ''',
     2 (IBASE(IPLIST+IHNAM+I),I=0,2),'''.'
      CALL XABORT(HSMG)
      END
