*DECK LCMINF
      SUBROUTINE LCMINF(IPLIST,NAMLCM,NAMMY,EMPTY,ILONG,LCM)
*
*-----------------------------------------------------------------------
*
* FIND THE NAME OF THE NEXT BLOCK STORED IN THE ACTIVE DIRECTORY.
* 
* INPUT PARAMETERS:
*  IPLIST : ADDRESS OF THE TABLE.
*
* OUTPUT PARAMETER:
*  NAMLCM : CHARACTER*12 NAME OF THE TABLE.
*   NAMMY : CHARACTER*12 NAME OF THE ACTIVE DIRECTORY.
*   EMPTY : =.TRUE. IF THE ACTIVE DIRECTORY IS EMPTY.
*   ILONG : =-1: FOR A TABLE; >0: NUMBER OF LIST ITEMS.
*     LCM : =.TRUE.: TABLE USED; =.FALSE.: XSM FILE USED.
*
*------------------------------------- AUTHOR: A. HEBERT ; 28/10/93 ----
*
      PARAMETER (IHEAD=0,IHNAM=1,ILLIST=4,INEXT=5,IFATH=6,IFDIR=7,
     1 IMODE=8,INREF=10)
      PARAMETER (JCMT=7)
      LOGICAL EMPTY,LCM
      CHARACTER NAMLCM*(*),NAMMY*(*),HSMG*131,HNAME*12,NAMT*12
      INTEGER PTMP
      COMMON IBASE(1)
*
      IF(IBASE(IPLIST+IHEAD).EQ.200) THEN
*        USE A XSM FILE.
         LCM=.FALSE.
         CALL XSMINF(IPLIST,NAMLCM,NAMMY,EMPTY,ILONG)
         RETURN
      ELSE IF(IBASE(IPLIST+IHEAD).NE.100) THEN
         WRITE(HSMG,'(A,3A4,A)') 'LCMINF: THE TABLE ''',
     1   (IBASE(IPLIST+IHNAM+I),I=0,2),''' HAS THE WRONG HEADER.'
         CALL XABORT(HSMG)
      ELSE IF(IBASE(IPLIST+IMODE).EQ.0) THEN
         WRITE(HSMG,'(A,3A4,A)') 'LCMINF: THE TABLE ''',
     1   (IBASE(IPLIST+IHNAM+I),I=0,2),''' IS CLOSED.'
         CALL XABORT(HSMG)
      ENDIF
      LCM=.TRUE.
      IF(IBASE(IPLIST+IFATH).EQ.0) THEN
         NAMMY='/'
      ELSE
         PTMP=IBASE(IBASE(IPLIST+IFATH)+INEXT)
         IF(PTMP.EQ.0) THEN
            NAMMY=' '
         ELSE
            IP=IBASE(IPLIST+IFDIR)
            CALL LCMCAR(NAMMY,.FALSE.,IBASE(PTMP+10*(IP-1)+JCMT))
         ENDIF
      ENDIF
      WRITE(HNAME,'(3A4)') (IBASE(IPLIST+IHNAM+I),I=0,2)
      NAMLCM=HNAME
      PTMP=IBASE(IPLIST+INEXT)
      EMPTY=PTMP.EQ.0
      ILONG=IBASE(IPLIST+ILLIST)
      IF(.NOT.EMPTY) THEN
         IREF=0
   10    IREF=IREF+1
         IF(IREF.GT.IBASE(IPLIST+INREF)) THEN
            EMPTY=.TRUE.
            RETURN
         ENDIF
         CALL LCMCAR(NAMT,.FALSE.,IBASE(PTMP+10*(IREF-1)+JCMT))
         IF(NAMT.EQ.' ') GO TO 10
      ENDIF
      RETURN
      END
