*DECK LCMNXT
      SUBROUTINE LCMNXT(IPLIST,NAMP)
*
*-----------------------------------------------------------------------
*
* FIND THE NAME OF THE NEXT BLOCK STORED IN THE ACTIVE DIRECTORY.
* 
* INPUT PARAMETERS:
*  IPLIST : ADDRESS OF THE TABLE.
*    NAMP : CHARACTER*12 NAME OF A BLOCK. IF NAMP=' ' AT INPUT, FIND
*           ANY NAME FOR ANY BLOCK STORED IN THIS DIRECTORY.
*
* OUTPUT PARAMETER:
*    NAMP : CHARACTER*12 NAME OF THE NEXT BLOCK.
*
*------------------------------------- AUTHOR: A. HEBERT ; 28/10/93 ----
*
      PARAMETER (LHASH=251)
      PARAMETER (IHEAD=0,IHNAM=1,ILLIST=4,INEXT=5,IFATH=6,IFDIR=7,
     1 IMODE=8,IMAX=9,INREF=10)
      PARAMETER (JCMT=7)
      LOGICAL LCHECK
      CHARACTER NAMP*(*),NAMT*12,HSMG*131,NAMMY*12
      INTEGER PTMP,INAMT(3)
      COMMON IBASE(1)
*
      IF((IBASE(IPLIST+IHEAD).NE.100).AND.(IBASE(IPLIST+IHEAD).NE.200))
     1   THEN
         WRITE(HSMG,'(A,3A4,A)') 'LCMNXT: THE TABLE ''',
     1   (IBASE(IPLIST+IHNAM+I),I=0,2),''' HAS THE WRONG HEADER.'
         CALL XABORT(HSMG)
      ELSE IF(IBASE(IPLIST+ILLIST).GE.0) THEN
         WRITE(HSMG,'(A,3A4,A)') 'LCMNXT: THE OBJECT ''',
     1   (IBASE(IPLIST+IHNAM+I),I=0,2),''' IS A LIST.'
         CALL XABORT(HSMG)
      ELSE IF(IBASE(IPLIST+IHEAD).EQ.200) THEN
*        USE A XSM FILE.
         CALL XSMNXT(IPLIST,NAMP)
         RETURN
      ELSE IF(IBASE(IPLIST+IMODE).EQ.0) THEN
         WRITE(HSMG,'(A,3A4,A)') 'LCMNXT: THE TABLE ''',
     1   (IBASE(IPLIST+IHNAM+I),I=0,2),''' IS CLOSED.'
         CALL XABORT(HSMG)
      ENDIF
      IF(IBASE(IPLIST+IFATH).EQ.0) THEN
         NAMMY='/'
      ELSE
         PTMP=IBASE(IBASE(IPLIST+IFATH)+INEXT)
         IF(PTMP.EQ.0) THEN
            NAMMY=' '
         ELSE
            IP=IBASE(IPLIST+IFDIR)
            CALL LCMCAR(NAMMY,.FALSE.,IBASE(PTMP+10*(IP-1)+JCMT))
         ENDIF
      ENDIF
      NAMT=NAMP
      CALL LCMCAR(NAMT,.TRUE.,INAMT)
      IPNODE=IBASE(IPLIST+INEXT)
      IF(IPNODE.EQ.0) THEN
         WRITE(HSMG,'(A,A12,A,3A4,A)') 'LCMNXT: EMPTY DIRECTORY ''',
     1   NAMMY,''' IN THE TABLE ''',(IBASE(IPLIST+IHNAM+I),I=0,2),
     2   '''(1).'
         CALL XABORT(HSMG)
      ENDIF
      IF(NAMT.EQ.' ') THEN
         IREF=0
   10    IREF=IREF+1
         IF(IREF.GT.IBASE(IPLIST+INREF)) THEN
            WRITE(HSMG,'(A,A12,A,3A4,A)') 'LCMNXT: EMPTY DIRECTORY ''',
     1      NAMMY,''' IN THE TABLE ''',(IBASE(IPLIST+IHNAM+I),I=0,2),
     2      '''(2).'
            CALL XABORT(HSMG)
         ENDIF
         CALL LCMCAR(NAMT,.FALSE.,IBASE(IPNODE+10*(IREF-1)+JCMT))
         IF(NAMT.EQ.' ') GO TO 10
         NAMP=NAMT
         RETURN
      ENDIF
      IPOS=MOD(ABS(INAMT(1)+3*INAMT(2)+5*INAMT(3)),LHASH)
      JHASH=10*IBASE(IPLIST+IMAX)
      DO 30 I=IBASE(IPNODE+JHASH+IPOS),1,-1
      IREF=I
      IF(INAMT(1).EQ.IBASE(IPNODE+10*(IREF-1)+JCMT)) THEN
         IF(INAMT(2).EQ.IBASE(IPNODE+10*(IREF-1)+JCMT+1)) THEN
            IF(INAMT(3).EQ.IBASE(IPNODE+10*(IREF-1)+JCMT+2)) THEN
               LCHECK=.FALSE.
   20          IF(IREF.LT.IBASE(IPLIST+INREF)) THEN
                  IREF=IREF+1
               ELSE
                  IF(LCHECK) CALL XABORT('LCMNXT: INFINITE LOOPING.')
                  IREF=1
                  LCHECK=.TRUE.
               ENDIF
               PTMP=IPNODE+10*(IREF-1)
               CALL LCMCAR(NAMT,.FALSE.,IBASE(PTMP+JCMT))
               IF(NAMT.EQ.' ') GO TO 20
               NAMP=NAMT
               RETURN
            ENDIF
         ENDIF
      ENDIF
   30 CONTINUE
      WRITE(HSMG,'(2A,A12,A,A12,A,3A4,A)') 'LCMNXT: UNABLE TO FIND BL',
     1 'OCK ''',NAMT,''' INTO DIRECTORY ''',NAMMY,''' IN THE TABLE ''',
     2 (IBASE(IPLIST+IHNAM+I),I=0,2),'''.'
      CALL XABORT(HSMG)
      END
