*DECK LCMPUT
      SUBROUTINE LCMPUT(IPLIST,NAMP,ILONG,ITYPE,IDATA)
*
*----------------------------------------------------------------------
*
* COPY A BLOCK OF DATA FROM MEMORY INTO A TABLE.
*
* INPUT PARAMETERS:
*  IPLIST : ADDRESS OF THE TABLE.
*    NAMP : CHARACTER*12 NAME OF THE CURRENT BLOCK.
*   ILONG : NUMBER OF INFORMATION ELEMENTS STORED IN THE CURRENT BLOCK.
*   ITYPE : TYPE OF INFORMATION ELEMENTS STORED IN THE CURRENT BLOCK.
*           0: DIRECTORY                1: INTEGER
*           2: SINGLE PRECISION         3: CHARACTER*4
*           4: DOUBLE PRECISION         5: LOGICAL
*           6: COMPLEX
*   IDATA : INFORMATION ELEMENTS. DIMENSION IDATA(ILONG)
*
*------------------------------------ AUTHOR: A. HEBERT ; 25/10/93 ----
*
      CHARACTER NAMP*(*)
      DIMENSION IDATA(*)
      COMMON IBASE(1)
*
      IF(IBASE(IPLIST).EQ.200) THEN
*        USE A XSM FILE.
         CALL XSMPUT(IPLIST,NAMP,ILONG,ITYPE,IDATA)
         RETURN
      ENDIF
      CALL SETARA(IBASE,ILONG,IPDATA)
      DO 10 I=1,ILONG
   10 IBASE(IPDATA+I-1)=IDATA(I)
      CALL LCMPOF(IPLIST,NAMP,ILONG,ITYPE,IPDATA)
      RETURN
      END
