      FUNCTION OBJPIL(IUNITO, IWRITE, CMODXT, NMODXT)
C
C     GAN-2000 SYSTEM: R.ROY (12/1999), VERSION 2.1
C
C             *OBJPIL* WILL COMPLETE SYNTACTICAL ANALYSIS
C                      INCLUDING OBJECT CONSISTENCE IN GAN-2000
C                      RESULT IS THE OBJECT D.A. UNIT *IUNITO*
C                      COMPILER COMMENTS ARE WRITTEN ON UNIT *IWRITE*
C                      EVERYTHING IS CHECKED FOR CORRECT EXECUTION.
C
C      INPUT: *IUNITO* IS THE DIRECT ACCESS UNIT FOR OBJECT CODE
C             *IWRITE* IS THE OUTPUT UNIT FOR COMPILER COMMENTS
C             *CMODXT* IS THE LIST OF NAMES FOR CODE-DEPENDENT MODULES
C                      CMODXT(1:NMODXT) CHARACTER*12 DEFINED VALUES
C             *NMODXT* IS THE NUMBER OF CODE-DEPENDENT MODULES
C
C       NOTE: *OBJPIL* = 0 IF NO PROBLEM WAS ENCOUNTERED WHILE COMPILING
C
C     NEXT STATEMENT (IN COMMENT) IS *NOT* STANDARD IN FORTRAN-77:
      IMPLICIT     NONE
C
      INTEGER      OBJPIL, IUNITO, IWRITE, NMODXT
      CHARACTER*12 CMODXT(NMODXT)
C
      INTEGER      OBJSTK, OBJXRF, IRETCD, ISTEPC
      CHARACTER*12 CLISTC(2)
      DATA CLISTC /'OBJSTK', 'OBJXRF'/
C
      OBJPIL= 0
      ISTEPC= 1
C
C     ADD OBJECTS/MODULES TO CLE-2000 FILES
      IRETCD= OBJSTK(IUNITO, IWRITE, CMODXT, NMODXT)
      IF( IRETCD.NE.0 ) GO TO 9002
      ISTEPC= 2
C
C     X-REF OBJECTS/MODULES
      IRETCD= OBJXRF(IUNITO, IWRITE)
      IF( IRETCD.NE.0 ) GO TO 9002
C
  666 RETURN
C
 9002 WRITE(IWRITE,*)'! OBJPIL: ERROR CODE IN >> ',
     1 CLISTC(ISTEPC),' << ERROR NUMBER (',IRETCD,')'
      OBJPIL= IRETCD
      GO TO 666
C
      END
