*DECK XSMCL
      SUBROUTINE XSMCL(IPLIST,ISTATU)
*
*-----------------------------------------------------------------------
*
* CLOSE THE XSM FILE.
*
* INPUT PARAMETERS:
*  IPLIST : ADDRESS OF THE HANDLE TO THE XSM FILE.
*  ISTATU : =1 TO KEEP THE FILE AT CLOSE ; =2 TO DESTROY IT.
*
*------------------------------------- AUTHOR: A. HEBERT ; 30/09/86 ----
*
*     IPRIM=ADDRESS OF THE ROOT DIRECTORY.
      PARAMETER (IPRIM=3)
      INTEGER PFXS2
      CHARACTER HNAME*12,HSMG*131
      PARAMETER (IHEAD=0,IHNAM=1,IIMPF=5,IIDIR=6,IBLOC=7,ICANG=8,
     1 ICANG2=10)
      PARAMETER (IOFMAX=30,KIFILE=0,KIDIR=1,KMODIF=2,KIOFT=3,
     1 KNMT=4,KLINK=5,KIROOT=6,KMYNAM=7,KIOFS=10,KJLON=KIOFS+IOFMAX,
     2 KJTYP=KJLON+IOFMAX,KCMT=KJTYP+IOFMAX)
      COMMON IBASE(1)
*
      WRITE(HNAME,'(3A4)') (IBASE(IPLIST+IHNAM+I),I=0,2)
      IF((IBASE(IPLIST+IIMPF).EQ.2).AND.(ISTATU.EQ.2)) THEN
         WRITE(HSMG,'(A,A12,A)') 'XSMCL: CANNOT ERASE THE XSM FILE ''',
     1   HNAME,''' OPEN IN READ-ONLY MODE.'
         CALL XABORT(HSMG)
      ELSE IF((ISTATU.LT.1).OR.(ISTATU.GT.2)) THEN
         WRITE(HSMG,'(A,I3,A,A12,A)') 'XSMCL: INVALID ACTION (',ISTATU,
     1   ') FOR XSM FILE ''',HNAME,'''.'
         CALL XABORT(HSMG)
      ELSE IF(IBASE(IPLIST+IHEAD).NE.200) THEN
         WRITE(HSMG,'(A,A12,A)') 'XSMCL: THE XSM FILE ''',HNAME,
     1   ''' HAS THE WRONG HEADER.'
         CALL XABORT(HSMG)
      ENDIF
      IPKEEP=IBASE(IPLIST+ICANG)
      N=IBASE(IPKEEP)
      IF(N.GT.0) THEN
         IOF=IBASE(IPKEEP+2)
         DO 10 I=1,N
         CALL RLSARA(IBASE(IBASE(IOF+I-1)))
   10    CONTINUE
         CALL RLSARA(IBASE(IOF))
      ENDIF
      PFXS2=IBASE(IPLIST+IBLOC)
*
      IF(IBASE(PFXS2+KMODIF).EQ.1) THEN
         IF(IBASE(IPLIST+IIMPF).EQ.2) THEN
            WRITE(HSMG,'(A,A12,A)') 'XSMCL: THE XSM FILE ''',HNAME,
     1      ''' IS OPEN IN READ-ONLY MODE (1).'
            CALL XABORT(HSMG)
         ENDIF
         CALL XSMDIR(2,PFXS2)
      ENDIF
*
      IF(IBASE(PFXS2+KIDIR).NE.IBASE(IPLIST+IIDIR)) THEN
*        SWITCH TO THE CORRECT ACTIVE DIRECTORY (BLOCK 2).
         IBASE(PFXS2+KIDIR)=IBASE(IPLIST+IIDIR)
         CALL XSMDIR(1,PFXS2)
      ENDIF
      IF(IBASE(PFXS2+KIROOT).NE.-1) THEN
         WRITE(HSMG,'(A,A12,A)') 'XSMCL: THE XSM FILE ''',HNAME,
     1   ''' IS NOT ON ROOT DIRECTORY.'
         CALL XABORT(HSMG)
      ENDIF
      IF(IBASE(PFXS2+KIDIR).NE.IPRIM) THEN
*        SWITCH TO THE CORRECT ACTIVE DIRECTORY (BLOCK 2).
         IBASE(PFXS2+KIDIR)=IPRIM
         CALL XSMDIR(1,PFXS2)
      ENDIF
*
      CALL KDIGET(IBASE(PFXS2+KIFILE),III,1,1,IRC)
      IF(IRC.NE.0) GO TO 140
      IF(IBASE(PFXS2+KIOFT).GT.III) THEN
         IF(IBASE(IPLIST+IIMPF).EQ.2) THEN
            WRITE(HSMG,'(21HXSMCL: THE XSM FILE '',A12,12H'' IS OPEN IN,
     1      20H READ-ONLY MODE (2).)') HNAME
            CALL XABORT(HSMG)
         ENDIF
         CALL KDIPUT(IBASE(PFXS2+KIFILE),IBASE(PFXS2+KIOFT),1,1,IRC)
         IF(IRC.NE.0) GO TO 150
      ENDIF
      CALL KDICL(IBASE(PFXS2+KIFILE),ISTATU,IRC)
      IF(IRC.NE.0) GO TO 160
*
* RELEASE THE XSMIOF DATABASE.
      IPKEP2=IBASE(IPLIST+ICANG2)
      N=IBASE(IPKEP2)
      IF(N.GT.0) THEN
         IOF=IBASE(IPKEP2+2)
         DO 20 I=1,N
         CALL RLSARA(IBASE(IBASE(IOF+3*I-2)))
   20    CONTINUE
         CALL RLSARA(IBASE(IOF))
      ENDIF
      CALL RLSARA(IBASE(IBASE(IPLIST+ICANG2)))
*
* RELEASE THE XSM FILE HANDLE.
      CALL RLSARA(IBASE(IBASE(IPLIST+ICANG)))
      IBASE(PFXS2+KIFILE)=0
      CALL RLSARA(IBASE(PFXS2))
      IBASE(IPLIST+IHEAD)=0
      CALL RLSARA(IBASE(IPLIST))
      IPLIST=0
      RETURN
*
  140 WRITE(HSMG,'(A,I6,A,A12,A)') 'XSMCL: KDIGET ERROR NB.',IRC,
     1 ' ON XSM FILE ''',HNAME,'''.'
      CALL XABORT(HSMG)
  150 WRITE(HSMG,'(A,I6,A,A12,A)') 'XSMCL: KDIPUT ERROR NB.',IRC,
     1 ' ON XSM FILE ''',HNAME,'''.'
      CALL XABORT(HSMG)
  160 WRITE(HSMG,'(A,I6,A,A12,A)') 'XSMCL: KDICL ERROR NB.',IRC,
     1 ' ON XSM FILE ''',HNAME,'''.'
      CALL XABORT(HSMG)
      END
