*DECK XSMDID
      SUBROUTINE XSMDID(IPLIST,NAMP,JPLIST)
*
*-----------------------------------------------------------------------
*
* CREATE/ACCESS A DAUGHTER ASSOCIATIVE TABLE IN A FATHER TABLE.
*
* INPUT PARAMETERS:
*  IPLIST : ADDRESS OF THE FATHER TABLE.
*    NAMP : CHARACTER*12 NAME OF THE DAUGHTER ASSOCIATIVE TABLE.
*
* OUTPUT PARAMETER:
*  JPLIST : ADDRESS OF THE DAUGHTER ASSOCIATIVE TABLE.
*
*------------------------------------ AUTHOR: A. HEBERT ; 09/10/99 -----
*
      PARAMETER (IHEAD=0,IHNAM=1,ILLIST=4,IIMPF=5,IIDIR=6,IBLOC=7,
     1 ICANG=8,IFATH=9,LXDIR1=11)
      PARAMETER (IOFMAX=30,KIFILE=0,KIDIR=1,KMODIF=2,KIOFT=3,
     1 KNMT=4,KLINK=5,KIROOT=6,KMYNAM=7,KIOFS=10,KJLON=KIOFS+IOFMAX,
     2 KJTYP=KJLON+IOFMAX,KCMT=KJTYP+IOFMAX)
      PARAMETER(IPRIM=3,IWRD=3,KLONG=5+IWRD+(3+IWRD)*IOFMAX)
      INTEGER PFXS2
      CHARACTER NAMP*(*),NAMT*12,HSMG*131,HNAME*12
      COMMON IBASE(1)
*
      NAMT=NAMP
      WRITE(HNAME,'(3A4)') (IBASE(IPLIST+IHNAM+I),I=0,2)
      IF(IBASE(IPLIST+IHEAD).NE.200) THEN
         WRITE(HSMG,'(A,A12,A)') 'XSMDID: THE XSM FILE ''',HNAME,
     1   ''' HAS THE WRONG HEADER.'
         CALL XABORT(HSMG)
      ENDIF
      PFXS2=IBASE(IPLIST+IBLOC)
*     -------------------------------------------------
      CALL XSMREP(NAMT,2,IBASE(IPLIST+IIDIR),PFXS2,III)
*     -------------------------------------------------
      LENOLD=IBASE(PFXS2+KJLON+III-1)
      ITYOLD=IBASE(PFXS2+KJTYP+III-1)
      IF(LENOLD.EQ.0) THEN
*        CREATE A NEW SCALAR DIRECTORY EXTENT ON THE XSM FILE.
         IF(IBASE(IPLIST+IIMPF).EQ.2) THEN
            WRITE(HSMG,'(A,A12,A)') 'XSMDID: THE XSM FILE ''',HNAME,
     1      ''' IS OPEN IN READ-ONLY MODE(1).'
            CALL XABORT(HSMG)
         ENDIF
         IBASE(PFXS2+KJLON+III-1)=-1
         IBASE(PFXS2+KJTYP+III-1)=0
         IBASE(PFXS2+KIOFS+III-1)=IBASE(PFXS2+KIOFT)
         IDIR=IBASE(PFXS2+KIOFS+III-1)
         IBASE(PFXS2+KIOFT)=IBASE(PFXS2+KIOFT)+KLONG
         CALL XSMDIR(2,PFXS2)
         IBASE(PFXS2+KIROOT)=IBASE(PFXS2+KIDIR)
         READ(NAMT,'(3A4)') (IBASE(PFXS2+KMYNAM+I0),I0=0,2)
         IBASE(PFXS2+KIDIR)=IBASE(PFXS2+KIOFS+III-1)
         IBASE(PFXS2+KNMT)=0
         IBASE(PFXS2+KLINK)=IBASE(PFXS2+KIDIR)
         IBASE(PFXS2+KMODIF)=1
      ELSE IF((LENOLD.EQ.-1).AND.(ITYOLD.EQ.0)) THEN
         IDIR=IBASE(PFXS2+KIOFS+III-1)
      ELSE
         WRITE(HNAME,'(3A4)') (IBASE(IPLIST+IHNAM+I),I=0,2)
         WRITE(HSMG,'(A,A12,A,A12,A)') 'XSMDID: BLOCK ''',NAMT,
     1   ''' IS NOT AN ASSOCIATIVE TABLE OF THE XSM FILE ''',
     2   HNAME,'''.'
         CALL XABORT(HSMG)
      ENDIF
      CALL SETARA(IBASE,LXDIR1,IOFSET)
      DO 20 J=1,LXDIR1
   20 IBASE(IOFSET+J-1)=IBASE(IPLIST+J-1)
      CALL XSMKEP(IBASE(IPLIST+ICANG),1,IOFSET)
      JPLIST=IOFSET
      IBASE(JPLIST+ILLIST)=-1
      IBASE(JPLIST+IIDIR)=IDIR
      IBASE(JPLIST+IFATH)=IPLIST
      RETURN
      END
