*DECK XSMINF
      SUBROUTINE XSMINF(IPLIST,NAMXSM,NAMMY,EMPTY,ILONG)
*
*-----------------------------------------------------------------------
*
* RECOVER GLOBAL INFORMATIONS RELATED TO AN XSM FILE.
* 
* INPUT PARAMETERS:
*  IPLIST : ADDRESS OF THE HANDLE TO THE XSM FILE.
*
* OUTPUT PARAMETERS:
*  NAMXSM : CHARACTER*12 NAME OF THE XSM FILE.
*   NAMMY : CHARECTER*12 NAME OF THE ACTIVE DIRECTORY.
*   EMPTY : =.TRUE. IF THE ACTIVE DIRECTORY IS EMPTY.
*   ILONG : =-1: FOR A TABLE; >0: NUMBER OF LIST ITEMS.
*
*------------------------------------- AUTHOR: A. HEBERT ; 30/09/86 ----
*
      INTEGER PFXS2
      CHARACTER*(*) NAMXSM,NAMMY
      CHARACTER HNAME*12,HSMG*131,MYNAME*12
      LOGICAL EMPTY
      PARAMETER (IHEAD=0,IHNAM=1,ILLIST=4,IIMPF=5,IIDIR=6,IBLOC=7)
      PARAMETER (IOFMAX=30,KIFILE=0,KIDIR=1,KMODIF=2,KIOFT=3,
     1 KNMT=4,KLINK=5,KIROOT=6,KMYNAM=7)
      COMMON IBASE(1)
*
      WRITE(HNAME,'(3A4)') (IBASE(IPLIST+IHNAM+I),I=0,2)
      NAMXSM=HNAME
      IF(IBASE(IPLIST+IHEAD).NE.200) THEN
         WRITE(HSMG,'(22HXSMINF: THE XSM FILE '',A12,13H'' HAS THE WRO,
     1   10HNG HEADER.)') HNAME
         CALL XABORT(HSMG)
      ENDIF
      PFXS2=IBASE(IPLIST+IBLOC)
      IF(IBASE(PFXS2+KIDIR).NE.IBASE(IPLIST+IIDIR)) THEN
*        SWITCH TO THE CORRECT ACTIVE DIRECTORY (BLOCK 2).
         IF(IBASE(PFXS2+KMODIF).EQ.1) CALL XSMDIR(2,PFXS2)
         IBASE(PFXS2+KIDIR)=IBASE(IPLIST+IIDIR)
         CALL XSMDIR(1,PFXS2)
      ENDIF
      WRITE(MYNAME,'(3A4)') (IBASE(PFXS2+KMYNAM+I),I=0,2)
      NAMMY=MYNAME
      EMPTY=IBASE(PFXS2+KNMT).EQ.0
      ILONG=IBASE(IPLIST+ILLIST)
      RETURN
      END
