
/**********************************/
/* C API for kdi file support     */
/* author: A. Hebert (08/04/2005) */
/**********************************/

/*
Copyright (C) 2005 Ecole Polytechnique de Montreal

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.
*/

#include <stdio.h>

typedef struct {
   char nom[25];          /* FILE NAME */
   FILE *fd;              /* FILE POINTER */
} kdi_file;

kdi_file * KDIOP_C(char *nomC, long iactio);
long KDIPUT_C(kdi_file *my_file, long *data, long iofset, long length);
long KDIGET_C(kdi_file *my_file, long *data, long iofset, long length);
long KDICL_C(kdi_file *my_file, long istatu);
