*DECK OPTEX
      PROGRAM OPTEX
      IMPLICIT         NONE
*----
*  INPUT/OUTPUT UNITS
*----
      INTEGER          IOUT
      PARAMETER       (IOUT=6)
*----
*  VARIABLES FOR DRAGON VERSION
*----
      INTEGER          IMVERS
      CHARACTER        DATE*64,REV*48,NAMSBR*6
      PARAMETER       (NAMSBR='OPTEX')
*----
*  GAN-2000 PARAMETERS
*----
      INTEGER          KOPDRV
      EXTERNAL         KOPDRV
      INTEGER          KERNEL
*----
*  DIMENSION FOR MODULE DATA
*----
      INTEGER          NMODXT
      PARAMETER       (NMODXT=32)
      CHARACTER        CMODXT(NMODXT)*12
*----
*  LOCAL VARIABLES
*----
      INTEGER          IPRINT,IER
*----
*  DATA
*----
      DATA             CMODXT
     > / 'BIVACA:','CRE:   ','DELTA: ','DEVINI:','ERROR: ','FLUD:  ',
     >   'FLPOW: ','GEO:   ','MACINI:','RESINI:','MAC:   ','OUT:   ',
     >   'TAVG:  ','TRIVAT:','TRIVAA:','USPLIT:','FOBJCT:','PERTUR:',
     >   'GPTFLU:','GPTSRC:','GPTGRD:','GPTVRF:','QLPUTL:','QLP:   ',
     >   'ADDOBJ:','MATLAB:','TIME77:','TABU:  ','ADDHST:','NEWMAC:',
     >   'DSET:  ','LZC:   '/
*----
*  VERSION INFORMATION RECOVERED FROM CVS or SVN
*----
      IMVERS=4
      CALL KDRVER(REV,DATE)
      WRITE(IOUT,6000) NAMSBR,IMVERS,REV,DATE
      WRITE(IOUT,6010) NAMSBR
*----
*  EXECUTE THE CLE-2000 DRIVER
*----
      IPRINT= 0
      IER=KERNEL(NMODXT,CMODXT,KOPDRV,IPRINT)
      IF( IER .NE. 0 )THEN
         WRITE(IOUT,*) 'KERNEL ERROR CODE=',IER
         CALL XABORT('OPTEX: KERNEL ERROR')
      ENDIF
*----
*  ALL MODULES PROCESSED
*----
      WRITE(IOUT,6030) NAMSBR,IMVERS,REV
      STOP
*----
*  FORMATS
*----
 6000 FORMAT(
     > '  OOOOOO  PPPPPP  TTTTTTTT EEEEEE XX   XX'/
     > ' OOOOOOOO PPPPPPP TTTTTTTT EEEEEE XX   XX'/
     > ' OO    OO PP   PP    TT    EE      XX XX '/
     > ' OO    OO PPPPPPP    TT    EEEEEE   XXX  '/
     > ' OO    OO PPPPPP     TT    EEEEEE   XXX  '/
     > ' OO    OO PP         TT    EE      XX XX '/
     > ' OOOOOOOO PP         TT    EEEEEE XX   XX'/
     > '  OOOOOO  PP         TT    EEEEEE XX   XX'//
     > ' VERSION ',A6,I2,2X,A,4X,A/
     > ' GROUPE D''ANALYSE NUCLEAIRE'/
     > ' ECOLE POLYTECHNIQUE DE MONTREAL'///)
 6010 FORMAT(
     > ' COPYRIGHT NOTICE FOR THIS VERSION OF ',A6,':'/
     > ' --------------------------------------------'/
     > ' Copyright (C) 2002 Ecole Polytechnique de Montreal '/
     > ' This library is free software; you can redistribute it' /
     > ' and/or modify it under the terms of the GNU Lesser General' /
     > ' Public License as published by the Free Software Foundation;' /
     > ' either version 2.1 of the License, or (at your option) any' /
     > ' later version '////)
 6030 FORMAT(//1X,'NORMAL END OF EXECUTION FOR ',A6,I2,2X,A/
     >         1X,'CHECK FOR WARNING IN LISTING'/
     >         1x,'BEFORE ASSUMING YOUR RUN WAS SUCCESSFUL')
      END
