*DECK TABMML
      SUBROUTINE TABMML(CURVAL,MINVAL,MAXVAL,NVAR)
*
*-----------------------------------------------------------------------
*Purpose:
* this subroutine puts a vector in the limits.
* TABu Min and Max Limit validity
*
*Copyright:
* Copyright (C) 2002 Ecole Polytechnique de Montreal
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2.1 of the License, or (at your option) any later version
*
*Author(s): R. Chambon 
*
*Parameters: input
* CURVAL current value
* MINVAL minimum value
* MAXVAL maximum value
* NVAR   number of variables
*
*Parameters: output
* CURVAL corrected current value 
*                          
*-----------------------------------------------------------------------
*
*----
*  SUBROUTINE ARGUMENTS
*----
      IMPLICIT NONE
      INTEGER  NVAR
      REAL     CURVAL(NVAR),MINVAL(NVAR),MAXVAL(NVAR)
*----
*  LOCAL VARIABLES
*----
      INTEGER I

      DO 100 I=1,NVAR
         IF (CURVAL(I).LT.MINVAL(I)) CURVAL(I)=MINVAL(I)
         IF (CURVAL(I).GT.MAXVAL(I)) CURVAL(I)=MAXVAL(I)
 100     CONTINUE
      RETURN
      END
