*DECK TRIVAC
      PROGRAM TRIVAC
      IMPLICIT         NONE
*----
*  INPUT/OUTPUT UNITS
*----
      INTEGER          IOUT
      PARAMETER       (IOUT=6)
*----
*  VARIABLES FOR TRIVAC VERSION
*----
      INTEGER          IMVERS
      CHARACTER        DATE*64,REV*48,NAMSBR*6
      PARAMETER       (NAMSBR='TRIVAC')
*----
*  GAN-2000 PARAMETERS
*----
      INTEGER          KTRDRV
      EXTERNAL         KTRDRV
      INTEGER          KERNEL
*----
*  DIMENSION FOR MODULE DATA
*----
      INTEGER          NMODXT
      PARAMETER       (NMODXT=13)
      CHARACTER        CMODXT(NMODXT)*12
*----
*  LOCAL VARIABLES
*----
      INTEGER          IPRINT,IER
*----
*  DATA
*----
      DATA             CMODXT
     > / 'BIVACA:','BIVACT:','DELTA: ','ERROR: ','FLUD:  ',
     >   'GEO:   ','MAC:   ','OUT:   ','TRIVAT:','TRIVAA:',
     >   'GPTFLU:','INIKIN:','KINSOL:'/
*----
*  VERSION INFORMATION RECOVERED FROM CVS
*----
      IMVERS=4
      CALL KDRVER(REV,DATE)
      WRITE(IOUT,6000) NAMSBR,IMVERS,REV,DATE
      WRITE(IOUT,6010) NAMSBR
*----
*  EXECUTE THE CLE-2000 DRIVER
*----
      IPRINT= 0
      IER=KERNEL(NMODXT,CMODXT,KTRDRV,IPRINT)
      IF( IER .NE. 0 )THEN
         WRITE(IOUT,*) 'KERNEL ERROR CODE=',IER
         CALL XABORT('TRIVAC: KERNEL ERROR')
      ENDIF
*----
*  ALL MODULES PROCESSED
*----
      WRITE(IOUT,6030) NAMSBR,IMVERS,REV
      STOP
*----
*  FORMATS
*----
 6000 FORMAT(
     > ' TTTTTTTT RRRRRR  IIIIII VV  VV   AA    CCCCC '/
     > ' TTTTTTTT RRRRRRR IIIIII VV  VV  AAAA  CCCCCCC'/
     > '    TT    RR   RR   II   VV  VV  AAAA  CC   CC'/
     > '    TT    RRRRR     II   VV  VV AA  AA CC     '/
     > '    TT    RRRRR     II   VV  VV AAAAAA CC     '/
     > '    TT    RR RR     II   VV  VV AAAAAA CC   CC'/
     > '    TT    RR  RR  IIIIII  VVVV  AA  AA CCCCCCC'/
     > '    TT    RR   RR IIIIII   VV   AA  AA  CCCCC '//
     > ' VERSION ',A6,I2,2X,A,4X,A/
     > ' GROUPE D''ANALYSE NUCLEAIRE'/
     > ' ECOLE POLYTECHNIQUE DE MONTREAL'///)
 6010 FORMAT(
     > ' COPYRIGHT NOTICE FOR THIS VERSION OF ',A6,':'/
     > ' --------------------------------------------'/
     > ' Copyright (C) 2002 Ecole Polytechnique de Montreal '/
     > ' This library is free software; you can redistribute it' /
     > ' and/or modify it under the terms of the GNU Lesser General' /
     > ' Public License as published by the Free Software Foundation;' /
     > ' either version 2.1 of the License, or (at your option) any' /
     > ' later version '////)
 6030 FORMAT(//1X,'NORMAL END OF EXECUTION FOR ',A6,I2,2X,A/
     >         1X,'CHECK FOR WARNING IN LISTING'/
     >         1x,'BEFORE ASSUMING YOUR RUN WAS SUCCESSFUL')
      END
