      FUNCTION KDRDMD(NENTRY,HENTRY,IENTRY,JENTRY,KENTRY)
C
C     GAN-2000 SYSTEM: R.ROY (01/2000), VERSION 2.1
C
C             *KDRDMD* IS THE MODULE FOR *MODULE      * DECLARATIONS
C                      =0 IF NO ERROR
C
C      INPUT: *NENTRY* IS THE # OF LINKED LISTS AND FILES USED.
C             *HENTRY* NAMES OF EACH OBJECT <- LINKED LIST OR FILE.
C                      ( CHARACTER*12 HENTRY(NENTRY) )
C             *IENTRY* TYPES OF EACH OBJECT ( INTEGER IENTRY(NENTRY) )
C                      =1 LINKED LIST; 
C                      =2 XSM FILE;
C                      =3 SEQUENTIAL BINARY FILE; 
C                      =4 SEQUENTIAL ASCII FILE;
C                      =5 DIRECT ACCESS FILE.
C             *JENTRY* MODES OF EACH OBJECT ( INTEGER JENTRY(NENTRY) )
C                      =0 THE OBJECT IS CREATED;
C                      =1 THE OBJECT IS OPENED FOR MODIFICATIONS;
C                      =2 THE OBJECT IS OPENED IN READ-ONLY MODE.
C             *KENTRY* POINTERS TO OBJECTS ( INTEGER KENTRY(NENTRY) )
C                      =FILE UNIT NUMBER; 
C                      =LINKED LIST ADDRESS OTHERWISE.
C
      IMPLICIT         NONE
C
      INTEGER          KDRDMD
      INTEGER          NENTRY
      CHARACTER        HENTRY(NENTRY)*12
      INTEGER          IENTRY(NENTRY),JENTRY(NENTRY),KENTRY(NENTRY)
C
C     VARIABLES FOR *REDGET*
      INTEGER          ITYP, NITMA
      REAL             FLOTT
      DOUBLE PRECISION DFLOT
      CHARACTER*72     TEXT
C
      LOGICAL          LNDATA
      INTEGER          ILOOP1
      CHARACTER*12     CSEMIC
      CHARACTER*72     MESSAG
      INTEGER          IWRITE
      PARAMETER      ( IWRITE= 6 )
      DATA CSEMIC / ';           ' /
C
      KDRDMD= 0
C
      CALL REDGET(ITYP,NITMA,FLOTT,TEXT,DFLOT)
      LNDATA= ITYP.NE.10.AND.(ITYP.NE.3.OR.TEXT(1:12).NE.CSEMIC)
      IF( LNDATA )THEN
         MESSAG= 'KDRDMD: NOT DEVELOPED YET (RR)'
         WRITE(IWRITE,'(A72)') MESSAG
         KDRDMD= -666
         GO TO 666
      ENDIF
      DO 100 ILOOP1= 1, NENTRY
         IF( ABS(IENTRY(ILOOP1)).NE.2 ) GO TO 8001
  100 CONTINUE
C
C     CAN WE FOUND *;* AT THE END OF THE SENTENCE ?
      IF( LNDATA )THEN   
         CALL REDGET(ITYP,NITMA,FLOTT,TEXT,DFLOT)
         IF( ITYP.NE.3.OR.TEXT(1:12).NE.CSEMIC )GO TO 8002
      ENDIF
  666 RETURN
C
 8001 MESSAG='KDRDMD: INVALID TYPE IN *MODULE* DATA.'
      WRITE(IWRITE,'(A72)') MESSAG
      KDRDMD=8001
      GO TO 666
 8002 MESSAG='KDRDMD: INVALID END  IN *MODULE* DATA.'
      WRITE(IWRITE,'(A72)') MESSAG
      KDRDMD=8002
      GO TO 666
      END
