*DECK LCMDEL
      SUBROUTINE LCMDEL(IPLIST,NAMP)
*
*-----------------------------------------------------------------------
*
* DELETE AN ENTRY IN THE TABLE.
*
* INPUT PARAMETERS:
*  IPLIST : ADDRESS OF THE TABLE.
*    NAMP : CHARACTER*12 NAME OF THE BLOCK TO DELETE.
*
*------------------------------------- AUTHOR: A. HEBERT ; 08/11/93 ----
*
      PARAMETER (LHASH=251,MAXLEV=50)
      INTEGER PTMP,PTMP2,PDATA
      PARAMETER (IHEAD=0,IHNAM=1,ILLIST=4,INEXT=5,IFATH=6,IFDIR=7,
     1 IMODE=8,IMAX=9,INREF=10,ICANG=11,LFNODE=12)
      PARAMETER (JDATA=0,JJLON=1,JJTYP=2,JCMT=7)
      CHARACTER NAMP*(*),NAMT*12,TEXT12*12,HSMG*131
      INTEGER KDATA(MAXLEV),KJLON(MAXLEV),IVEC(MAXLEV),IGO(MAXLEV)
      INTEGER INAMT(3)
      COMMON IBASE(1)
*
      NAMT=NAMP
      IF((IBASE(IPLIST+IHEAD).NE.100).AND.(IBASE(IPLIST+IHEAD).NE.200))
     1   THEN
         WRITE(HSMG,'(A,3A4,A)') 'LCMDEL: THE TABLE ''',
     1   (IBASE(IPLIST+IHNAM+I),I=0,2),''' HAS THE WRONG HEADER.'
         CALL XABORT(HSMG)
      ELSE IF(IBASE(IPLIST+ILLIST).GE.0) THEN
         WRITE(HSMG,'(A,3A4,A)') 'LCMDEL: THE OBJECT ''',
     1   (IBASE(IPLIST+IHNAM+I),I=0,2),''' IS A LIST.'
         CALL XABORT(HSMG)
      ELSE IF(IBASE(IPLIST+IHEAD).EQ.200) THEN
*        USE A XSM FILE.
         WRITE(HSMG,'(A,A12,A)') 'LCMDEL: UNABLE TO DELETE RECORD ''',
     1   NAMT,''' FROM A XSM FILE.'
         CALL XABORT(HSMG)
      ELSE IF(IBASE(IPLIST+IMODE).EQ.0) THEN
         WRITE(HSMG,'(A,3A4,A)') 'LCMDEL: THE TABLE ''',
     1   (IBASE(IPLIST+IHNAM+I),I=0,2),''' IS CLOSED.'
         CALL XABORT(HSMG)
      ELSE IF(IBASE(IPLIST+IMODE).EQ.2) THEN
         WRITE(HSMG,'(A,3A4,A)') 'LCMDEL: THE TABLE ''',
     1   (IBASE(IPLIST+IHNAM+I),I=0,2),''' IS OPEN IN READ-ONLY MODE.'
         CALL XABORT(HSMG)
      ENDIF
*
      CALL LCMCAR(NAMT,.TRUE.,INAMT)
      IPNODE=IBASE(IPLIST+INEXT)
      IF(IPNODE.EQ.0) GO TO 30
      IPOS=MOD(ABS(INAMT(1)+3*INAMT(2)+5*INAMT(3)),LHASH)
      JHASH=10*IBASE(IPLIST+IMAX)
      DO 10 I=IBASE(IPNODE+JHASH+IPOS),1,-1
      IF(INAMT(1).EQ.IBASE(IPNODE+10*(I-1)+JCMT)) THEN
         IF(INAMT(2).EQ.IBASE(IPNODE+10*(I-1)+JCMT+1)) THEN
            IF(INAMT(3).EQ.IBASE(IPNODE+10*(I-1)+JCMT+2)) THEN
               IF(IBASE(IPNODE+10*(I-1)+JJTYP).NE.99) THEN
                  PTMP=IPNODE+10*(I-1)
                  IF(I.EQ.IBASE(IPLIST+INREF)) IBASE(IPLIST+INREF)=I-1
                  GO TO 40
               ELSE
                  WRITE(HSMG,'(A,A12,A,3A4,A)') 'LCMDEL: NODE ''',NAMT,
     1            ''' IN THE TABLE ''', (IBASE(IPLIST+IHNAM+J),J=0,2),
     2            ''' IS ALREADY DELETED.'
                  CALL XABORT(HSMG)
               ENDIF
            ENDIF
         ENDIF
      ENDIF
   10 CONTINUE
   30 IF(IBASE(IPLIST+IFATH).EQ.0) THEN
         TEXT12='/'
      ELSE
         PTMP=IBASE(IBASE(IPLIST+IFATH)+INEXT)
         IF(PTMP.EQ.0) THEN
            TEXT12=' '
         ELSE
            IP=IBASE(IPLIST+IFDIR)
            CALL LCMCAR(TEXT12,.FALSE.,IBASE(PTMP+10*(IP-1)+JCMT))
         ENDIF
      ENDIF
      WRITE(HSMG,'(2A,A12,A,A12,A,3A4,A)') 'LCMDEL: UNABLE TO FIND BLO',
     1 'CK ''',NAMT,''' INTO DIRECTORY ''',TEXT12,''' IN THE TABLE ''',
     2 (IBASE(IPLIST+IHNAM+I),I=0,2),'''.'
      CALL XABORT(HSMG)
*
   40 PDATA=IBASE(PTMP+JDATA)
      IF((IBASE(PTMP+JJTYP).EQ.0).OR.(IBASE(PTMP+JJTYP).EQ.10)) THEN
*        RECURSIVE DESTRUCTION OF THE TABLE OR LIST CONTENT WITH ADDRESS
*        PDATA. ILEV IS THE RECURSION LEVEL.
         ILEV=1
         KJLON(1)=IBASE(PTMP+JJLON)
         KDATA(1)=PDATA
         IGO(1)=5
         IF(IBASE(PTMP+JJTYP).EQ.0) THEN
            IVEC(1)=1
         ELSE IF(IBASE(PTMP+JJTYP).EQ.10) THEN
            IVEC(1)=0
            GO TO 80
         ENDIF
*
*        ASSOCIATIVE TABLE.
   50    INODE=IBASE(PDATA+INEXT)
         IF(INODE.EQ.0) GO TO (70,70,90,90,100),IGO(ILEV)
         NREF=IBASE(PDATA+INREF)
         IREF=0
   60    IREF=IREF+1
         IF(IREF.GT.NREF) THEN
            IF(INODE.NE.0) CALL RLSARA(IBASE(INODE))
            GO TO (70,70,90,90,100),IGO(ILEV)
         ENDIF
         PTMP2=INODE+10*(IREF-1)
         ILONG=IBASE(PTMP2+JJLON)
         ITYLCM=IBASE(PTMP2+JJTYP)
         IF(ITYLCM.EQ.0) THEN
*           ASSOCIATIVE TABLE DATA.
            ILEV=ILEV+1
            IF(ILEV.GT.MAXLEV) THEN
               WRITE(HSMG,'(2A,3A4,A)') 'LCMDEL: TOO MANY DIRECTORY ',
     1         'LEVELS ON ''',(IBASE(PDATA+IHNAM+I),I=0,2),'''(1).'
               CALL XABORT(HSMG)
            ENDIF
            KDATA(ILEV)=IBASE(PTMP2+JDATA)
            KJLON(ILEV)=-1
            PDATA=KDATA(ILEV)
            IVEC(ILEV)=1
            IGO(ILEV)=1
            GO TO 50
         ELSE IF(ITYLCM.EQ.10) THEN
*           LIST DATA.
            ILEV=ILEV+1
            IF(ILEV.GT.MAXLEV) THEN
               WRITE(HSMG,'(2A,3A4,A)') 'LCMDEL: TOO MANY DIRECTORY ',
     1         'LEVELS ON ''',(IBASE(PDATA+IHNAM+I),I=0,2),'''(2).'
               CALL XABORT(HSMG)
            ENDIF
            KDATA(ILEV)=IBASE(PTMP2+JDATA)
            KJLON(ILEV)=ILONG
            PDATA=KDATA(ILEV)
            IVEC(ILEV)=0
            IGO(ILEV)=2
            GO TO 80
         ELSE IF(ITYLCM.NE.99) THEN
            CALL RLSARA(IBASE(IBASE(PTMP2+JDATA)))
         ENDIF
         GO TO 60
*
   70    ILEV=ILEV-1
         IREF=IBASE(PDATA+IFDIR)
         IOFPRE=PDATA
         CALL LCMKEP(IBASE(PDATA+ICANG),2,PDATA)
         CALL RLSARA(IBASE(IOFPRE))
         PDATA=KDATA(ILEV)+(IVEC(ILEV)-1)*LFNODE
         INODE=IBASE(PDATA+INEXT)
         NREF=IBASE(PDATA+INREF)
         GO TO 60
*
*        LIST.
   80    IVEC(ILEV)=IVEC(ILEV)+1
         IF(IVEC(ILEV).GT.KJLON(ILEV)) GO TO (70,70,90,90,100),IGO(ILEV)
         KNODE=IBASE(KDATA(ILEV)+(IVEC(ILEV)-1)*LFNODE+INEXT)
         IF(KNODE.EQ.0) GO TO 80
         ILONG=IBASE(KNODE+JJLON)
         ITYLCM=IBASE(KNODE+JJTYP)
         IF(ITYLCM.EQ.0) THEN
*           ASSOCIATIVE TABLE DATA.
            ILEV=ILEV+1
            IF(ILEV.GT.MAXLEV) THEN
               WRITE(HSMG,'(2A,3A4,A)') 'LCMDEL: TOO MANY DIRECTORY ',
     1         'LEVELS ON ''',(IBASE(PDATA+IHNAM+I),I=0,2),'''(3).'
               CALL XABORT(HSMG)
            ENDIF
            KDATA(ILEV)=IBASE(KNODE+JDATA)
            KJLON(ILEV)=-1
            PDATA=KDATA(ILEV)
            IVEC(ILEV)=1
            IGO(ILEV)=3
            GO TO 50
         ELSE IF(ITYLCM.EQ.10) THEN
*           LIST DATA.
            ILEV=ILEV+1
            IF(ILEV.GT.MAXLEV) THEN
               WRITE(HSMG,'(2A,3A4,A)') 'LCMDEL: TOO MANY DIRECTORY ',
     1         'LEVELS ON ''',(IBASE(PDATA+IHNAM+I),I=0,2),'''(4).'
               CALL XABORT(HSMG)
            ENDIF
            KDATA(ILEV)=IBASE(KNODE+JDATA)
            KJLON(ILEV)=ILONG
            PDATA=KDATA(ILEV)
            IVEC(ILEV)=0
            IGO(ILEV)=4
            GO TO 80
         ELSE IF(ITYLCM.NE.99) THEN
            CALL RLSARA(IBASE(IBASE(KNODE+JDATA)))
            CALL RLSARA(IBASE(KNODE))
         ENDIF
         GO TO 80         
*
   90    ILEV=ILEV-1
         IOFPRE=PDATA
         CALL LCMKEP(IBASE(PDATA+ICANG),2,PDATA)
         CALL RLSARA(IBASE(IOFPRE))
         PDATA=KDATA(ILEV)
         KNODE=IBASE(KDATA(ILEV)+(IVEC(ILEV)-1)*LFNODE+INEXT)
         CALL RLSARA(IBASE(KNODE))
         GO TO 80
*        END OF RECURSIVE DESTRUCTION
  100    IOFPRE=PDATA
         CALL LCMKEP(IBASE(PDATA+ICANG),2,PDATA)
         CALL RLSARA(IBASE(IOFPRE))
      ELSE IF(IBASE(PTMP+JJTYP).NE.99) THEN
*        DELETE A NODE.
         CALL RLSARA(IBASE(PDATA))
      ENDIF
      IBASE(PTMP+JDATA)=0
      IBASE(PTMP+JJLON)=0
      IBASE(PTMP+JJTYP)=99
      TEXT12=' '
      CALL LCMCAR(TEXT12(1:4),.TRUE.,IBASE(PTMP+JCMT))
      IBASE(PTMP+JCMT+1)=IBASE(PTMP+JCMT)
      IBASE(PTMP+JCMT+2)=IBASE(PTMP+JCMT)
      RETURN
      END
