*DECK LCMEXR
      SUBROUTINE LCMEXR(IPLIST,IMPX,NUNIT,IMODE,IDIR)
*
*-----------------------------------------------------------------------
*
* EXPORT/IMPORT THE CONTENT OF A LINKED LIST OR XSM FILE USING THE
* CONTOUR METHOD. EXPORT START FROM THE ACTIVE DIRECTORY. THIS VERSION
* IS BACKWARD COMPATIBLE WITH THE 1995 VERSION OF LCM FILE EXPORT
* FORMAT.
*
*  IPLIST : ADDRESS OF THE LINKED LIST OR HANDLE TO THE XSM FILE.
*  IMPX   : EQUAL TO ZERO FOR NO PRINT.
*  NUNIT  : FILE UNIT NUMBER WHERE THE EXPORT/IMPORT IS PERFORMED.
*  IMODE  : TYPE OF EXPORT/IMPORT FILE:
*           =1 SEQUENTIAL UNFORMATTED; =2 SEQUENTIAL FORMATTED (ASCII).
*  IDIR   : =1 TO EXPORT ; =2 TO IMPORT.
*
*------------------------------------- AUTHOR: A. HEBERT ; 28/10/93 ----
*
      PARAMETER (NLEVEL=50)
      CHARACTER NAMT*12,MYNAME*12,PATH(NLEVEL)*12,FIRST(NLEVEL)*12,
     1 NAMLCM*12,HSMG*131,CMEDIU(2)*11
      REAL RRR(8)
      INTEGER III(8)
      LOGICAL EMPTY,LCM,LLL(8)
      DOUBLE PRECISION DDD(4)
      EQUIVALENCE (RRR,III,LLL,DDD)
      COMMON BASE(1)
      DATA (CMEDIU(II),II=1,2)/'LINKED LIST','XSM FILE'/
*
      CALL LCMINF(IPLIST,NAMLCM,MYNAME,EMPTY,ILONG,LCM)
      IF(ILONG.GE.0) THEN
         WRITE(HSMG,'(46HLCMEXR: UNABLE TO IMPORT/EXPORT A LIST IN THE ,
     1   A11,8H NAMED '',A12,2H''.)') CMEDIU(IMED),NAMLCM
         CALL XABORT(HSMG)
      ENDIF
      IMED=2
      IF(LCM) IMED=1
      IF((IMODE.LT.1).OR.(IMODE.GT.2)) THEN
         WRITE(HSMG,'(33HLCMEXR: INVALID FILE TYPE ON THE ,A11,
     1   8H NAMED '',A12,2H''.)') CMEDIU(IMED),NAMLCM
         CALL XABORT(HSMG)
      ENDIF
      ITOT=0
      ILEVEL=1
      IF(IDIR.EQ.2) GO TO 140
*
* FILE EXPORT.
      IF(IDIR.NE.1) THEN
         WRITE(HSMG,'(30HLCMEXR: INVALID ACTION ON THE ,A11,8H NAMED '',
     1   A12,2H''.)') CMEDIU(IMED),NAMLCM
         CALL XABORT(HSMG)
      ELSE IF(EMPTY) THEN
         WRITE(HSMG,'(14HLCMEXR: EMPTY ,A11,8H NAMED '',A12,2H''.)')
     1   CMEDIU(IMED),NAMLCM
         CALL XABORT(HSMG)
      ENDIF

      CALL LCMVAL(IPLIST,' ')
   10 NAMT=' '
      CALL LCMNXT(IPLIST,NAMT)
      IF((IMPX.GT.0).AND.(ILEVEL.EQ.1)) WRITE(6,300) 'EXPORT',
     1 CMEDIU(IMED),NAMLCM,MYNAME
      IF(NAMT.EQ.' ') THEN
         IF(ILEVEL.EQ.1) RETURN
         NAMT=PATH(ILEVEL)
         ILEVEL=ILEVEL-1
         CALL LCMSIX(IPLIST,' ',2)
         GO TO 120
      ENDIF
      FIRST(ILEVEL)=NAMT
*
   20 CALL LCMLEN(IPLIST,NAMT,ILONG,ITYLCM)
      IF(ITYLCM.EQ.0) THEN
*        DIRECTORY DATA.
         IF(IMPX.GT.0) WRITE(6,320) ILEVEL,NAMT,ITYLCM,ILONG
         IF((NUNIT.NE.0).AND.(IMODE.EQ.1)) THEN
            WRITE(NUNIT) ILEVEL,NAMT,ITYLCM,ILONG
         ELSE IF((NUNIT.NE.0).AND.(IMODE.EQ.2)) THEN
            WRITE(NUNIT,320) ILEVEL,NAMT,ITYLCM,ILONG
         ENDIF
         ILEVEL=ILEVEL+1
         IF(ILEVEL.GT.NLEVEL) THEN
            WRITE(HSMG,'(41HLCMEXR: TOO MANY DIRECTOTY LEVELS ON THE ,
     1      A11,8H NAMED '',A12,2H''.)') CMEDIU(IMED),NAMLCM
            CALL XABORT(HSMG)
         ENDIF
         CALL LCMSIX(IPLIST,NAMT,1)
         PATH(ILEVEL)=NAMT
         GO TO 10
      ELSE IF((ILONG.NE.0).AND.(ITYLCM.LE.6)) THEN
         ITOT=ITOT+ILONG
         IF(NUNIT.NE.0) THEN
            CALL SETARA(BASE,ILONG,IASS)
            CALL LCMGET(IPLIST,NAMT,BASE(IASS))
            IF(ITYLCM.EQ.1) THEN
*              INTEGER DATA.
               IF(IMPX.GT.0) WRITE (6,320) ILEVEL,NAMT,ITYLCM,ILONG
               IF((NUNIT.NE.0).AND.(IMODE.EQ.1)) THEN
                  WRITE(NUNIT) ILEVEL,NAMT,ITYLCM,ILONG
               ELSE IF((NUNIT.NE.0).AND.(IMODE.EQ.2)) THEN
                  WRITE(NUNIT,320) ILEVEL,NAMT,ITYLCM,ILONG
               ENDIF
               DO 40 I=1,1+(ILONG-1)/8
               IOFSET=IASS+(I-1)*8-1
               DO 30 J=1,MIN(8,ILONG-(I-1)*8)
   30          RRR(J)=BASE(IOFSET+J)
               IF((NUNIT.NE.0).AND.(IMODE.EQ.1)) THEN
                 WRITE(NUNIT) (III(J),J=1,MIN(8,ILONG-(I-1)*8))
               ELSE IF((NUNIT.NE.0).AND.(IMODE.EQ.2)) THEN
                 WRITE(NUNIT,'(8I10)') (III(J),J=1,MIN(8,ILONG-(I-1)*8))
               ENDIF
   40          CONTINUE
            ELSE IF(ITYLCM.EQ.2) THEN
*              SINGLE PRECISION DATA.
               IF(IMPX.GT.0) WRITE (6,320) ILEVEL,NAMT,ITYLCM,ILONG
               IF((NUNIT.NE.0).AND.(IMODE.EQ.1)) THEN
                  WRITE(NUNIT) ILEVEL,NAMT,ITYLCM,ILONG
                  DO 50 I=1,1+(ILONG-1)/8
                  IOFSET=IASS+(I-1)*8-1
                  WRITE(NUNIT) (BASE(IOFSET+J),J=1,MIN(8,ILONG-(I-1)*8))
   50             CONTINUE
               ELSE IF((NUNIT.NE.0).AND.(IMODE.EQ.2)) THEN
                  WRITE(NUNIT,320) ILEVEL,NAMT,ITYLCM,ILONG
                  WRITE(NUNIT,'(1P,5E16.8)') (BASE(IASS+I-1),I=1,ILONG)
               ENDIF
            ELSE IF(ITYLCM.EQ.3) THEN
*              CHARACTER*4 DATA.
               IF(IMPX.GT.0) WRITE (6,320) ILEVEL,NAMT,ITYLCM,4*ILONG
               IF((NUNIT.NE.0).AND.(IMODE.EQ.1)) THEN
                  WRITE(NUNIT) ILEVEL,NAMT,ITYLCM,4*ILONG
                  DO 60 I=1,1+(ILONG-1)/8
                  IOFSET=IASS+(I-1)*8-1
                  WRITE(NUNIT) (BASE(IOFSET+J),J=1,MIN(8,ILONG-(I-1)*8))
   60             CONTINUE
               ELSE IF((NUNIT.NE.0).AND.(IMODE.EQ.2)) THEN
                  WRITE(NUNIT,320) ILEVEL,NAMT,ITYLCM,4*ILONG
                  WRITE(NUNIT,'(20A4)') (BASE(IASS+I-1),I=1,ILONG)
               ENDIF
            ELSE IF(ITYLCM.EQ.4) THEN
*              DOUBLE PRECISION DATA.
               IF(IMPX.GT.0) WRITE (6,320) ILEVEL,NAMT,ITYLCM,ILONG/2
               IF((NUNIT.NE.0).AND.(IMODE.EQ.1)) THEN
                  WRITE(NUNIT) ILEVEL,NAMT,ITYLCM,ILONG/2
               ELSE IF((NUNIT.NE.0).AND.(IMODE.EQ.2)) THEN
                  WRITE(NUNIT,320) ILEVEL,NAMT,ITYLCM,ILONG/2
               ENDIF
               DO 80 I=1,1+(ILONG-1)/8
               IOFSET=IASS+(I-1)*8-1
               DO 70 J=1,MIN(8,ILONG-(I-1)*8)
   70          RRR(J)=BASE(IOFSET+J)
               IF((NUNIT.NE.0).AND.(IMODE.EQ.1)) THEN
                  WRITE(NUNIT) (DDD(J),J=1,MIN(4,ILONG/2-(I-1)*4))
               ELSE IF((NUNIT.NE.0).AND.(IMODE.EQ.2)) THEN
                  WRITE(NUNIT,'(1P,4D20.12)') (DDD(J),J=1,MIN(4,ILONG/2-
     1            (I-1)*4))
               ENDIF
   80          CONTINUE
            ELSE IF(ITYLCM.EQ.5) THEN
*              LOGICAL DATA.
               IF(IMPX.GT.0) WRITE (6,320) ILEVEL,NAMT,ITYLCM,ILONG
               IF((NUNIT.NE.0).AND.(IMODE.EQ.1)) THEN
                  WRITE(NUNIT) ILEVEL,NAMT,ITYLCM,ILONG
               ELSE IF((NUNIT.NE.0).AND.(IMODE.EQ.2)) THEN
                  WRITE(NUNIT,320) ILEVEL,NAMT,ITYLCM,ILONG
               ENDIF
               DO 100 I=1,1+(ILONG-1)/8
               IOFSET=IASS+(I-1)*8-1
               DO 90 J=1,MIN(8,ILONG-(I-1)*8)
   90          RRR(J)=BASE(IOFSET+J)
               IF((NUNIT.NE.0).AND.(IMODE.EQ.1)) THEN
                 WRITE(NUNIT) (LLL(J),J=1,MIN(8,ILONG-(I-1)*8))
               ELSE IF((NUNIT.NE.0).AND.(IMODE.EQ.2)) THEN
                 WRITE(NUNIT,'(8L10)') (LLL(J),J=1,MIN(8,ILONG-(I-1)*8))
               ENDIF
  100          CONTINUE
            ELSE IF(ITYLCM.EQ.6) THEN
*              COMPLEX DATA.
               IF(IMPX.GT.0) WRITE (6,320) ILEVEL,NAMT,ITYLCM,ILONG/2
               IF((NUNIT.NE.0).AND.(IMODE.EQ.1)) THEN
                  WRITE(NUNIT) ILEVEL,NAMT,ITYLCM,ILONG/2
                  DO 110 I=1,1+(ILONG-1)/8
                  IOFSET=IASS+(I-1)*8-1
                  WRITE(NUNIT) (BASE(IOFSET+J),J=1,MIN(8,ILONG-(I-1)*8))
  110             CONTINUE
               ELSE IF((NUNIT.NE.0).AND.(IMODE.EQ.2)) THEN
                  WRITE(NUNIT,320) ILEVEL,NAMT,ITYLCM,ILONG/2
                  WRITE(NUNIT,'(1P,5E16.8)') (BASE(IASS+I-1),I=1,ILONG)
               ENDIF
            ENDIF
            CALL RLSARA(BASE(IASS))
         ENDIF
      ENDIF
  120 CALL LCMNXT(IPLIST,NAMT)
      IF(NAMT.EQ.FIRST(ILEVEL)) THEN
         IF(ILEVEL.EQ.1) GO TO 130
         NAMT=PATH(ILEVEL)
         ILEVEL=ILEVEL-1
         CALL LCMSIX(IPLIST,' ',2)
         GO TO 120
      ENDIF
      GO TO 20
  130 IF(IMPX.GT.0) WRITE(6,330) 'EXPORTED',ITOT
      RETURN
*
* FILE IMPORT.
  140 IF(IMPX.GT.0) THEN
         NAMT=' '
         CALL LCMNXT(IPLIST,NAMT)
         WRITE(6,300) 'IMPORT',CMEDIU(IMED),NAMLCM,MYNAME
      ENDIF
      IF((NUNIT.NE.0).AND.(IMODE.EQ.1)) THEN
         READ(NUNIT,END=250) JLEVEL,NAMT,ITYLCM,ILONG
      ELSE IF((NUNIT.NE.0).AND.(IMODE.EQ.2)) THEN
         READ(NUNIT,340,END=250) JLEVEL,NAMT,ITYLCM,ILONG
      ENDIF
      IF(JLEVEL.NE.1) THEN
         WRITE(HSMG,'(25HLCMEXR: UNABLE TO IMPORT ,A11,8H NAMED '',
     1   A12,2H''.)') CMEDIU(IMED),NAMLCM
         CALL XABORT(HSMG)
      ENDIF
  150 DO 160 I=1,ILEVEL-JLEVEL
      CALL LCMSIX(IPLIST,' ',2)
  160 CONTINUE
      ILEVEL=JLEVEL
      IF(ITYLCM.EQ.0) THEN
*        DIRECTORY DATA.
         IF(IMPX.GT.0) WRITE(6,320) JLEVEL,NAMT,ITYLCM
         ILEVEL=ILEVEL+1
         CALL LCMSIX(IPLIST,NAMT,1)
      ELSE
         IF(IMPX.GT.0) WRITE(6,320) JLEVEL,NAMT,ITYLCM,ILONG
         IF(ITYLCM.EQ.1) THEN
*           INTEGER DATA.
            CALL SETARA(BASE,ILONG,IASS)
            DO 170 I=1,1+(ILONG-1)/8
            IF((NUNIT.NE.0).AND.(IMODE.EQ.1)) THEN
               READ(NUNIT) (III(J),J=1,MIN(8,ILONG-(I-1)*8))
            ELSE IF((NUNIT.NE.0).AND.(IMODE.EQ.2)) THEN
               READ(NUNIT,'(8I10)') (III(J),J=1,MIN(8,ILONG-(I-1)*8))
            ENDIF
            IOFSET=IASS+(I-1)*8-1
            DO 170 J=1,MIN(8,ILONG-(I-1)*8)
  170       BASE(IOFSET+J)=RRR(J)
         ELSE IF(ITYLCM.EQ.2) THEN
*           SINGLE PRECISION DATA.
            CALL SETARA(BASE,ILONG,IASS)
            IF((NUNIT.NE.0).AND.(IMODE.EQ.1)) THEN
               DO 180 I=1,1+(ILONG-1)/8
               IOFSET=IASS+(I-1)*8-1
               READ(NUNIT) (BASE(IOFSET+J),J=1,MIN(8,ILONG-(I-1)*8))
  180          CONTINUE
            ELSE IF((NUNIT.NE.0).AND.(IMODE.EQ.2)) THEN
               READ(NUNIT,'(5E16.0)') (BASE(IASS+I-1),I=1,ILONG)
            ENDIF
         ELSE IF(ITYLCM.EQ.3) THEN
*           CHARACTER*4 DATA.
            ILONG=(ILONG+3)/4
            CALL SETARA(BASE,ILONG,IASS)
            IF((NUNIT.NE.0).AND.(IMODE.EQ.1)) THEN
               DO 190 I=1,1+(ILONG-1)/8
               IOFSET=IASS+(I-1)*8-1
               READ(NUNIT) (BASE(IOFSET+J),J=1,MIN(8,ILONG-(I-1)*8))
  190          CONTINUE
            ELSE IF((NUNIT.NE.0).AND.(IMODE.EQ.2)) THEN
               READ(NUNIT,'(20A4)') (BASE(IASS+I-1),I=1,ILONG)
            ENDIF
         ELSE IF(ITYLCM.EQ.4) THEN
*           DOUBLE PRECISION DATA.
            ILONG=2*ILONG
            CALL SETARA(BASE,ILONG,IASS)
            DO 200 I=1,1+(ILONG-1)/8
            IF((NUNIT.NE.0).AND.(IMODE.EQ.1)) THEN
              READ(NUNIT) (DDD(J),J=1,MIN(4,ILONG/2-(I-1)*4))
            ELSE IF((NUNIT.NE.0).AND.(IMODE.EQ.2)) THEN
              READ(NUNIT,'(4D20.0)') (DDD(J),J=1,MIN(4,ILONG/2-(I-1)*4))
            ENDIF
            IOFSET=IASS+(I-1)*8-1
            DO 200 J=1,MIN(8,ILONG-(I-1)*8)
  200       BASE(IOFSET+J)=RRR(J)
         ELSE IF(ITYLCM.EQ.5) THEN
*           LOGICAL DATA.
            CALL SETARA(BASE,ILONG,IASS)
            DO 210 I=1,1+(ILONG-1)/8
            IF((NUNIT.NE.0).AND.(IMODE.EQ.1)) THEN
               READ(NUNIT) (LLL(J),J=1,MIN(8,ILONG-(I-1)*8))
            ELSE IF((NUNIT.NE.0).AND.(IMODE.EQ.2)) THEN
               READ(NUNIT,'(8L10)') (LLL(J),J=1,MIN(8,ILONG-(I-1)*8))
            ENDIF
            IOFSET=IASS+(I-1)*8-1
            DO 210 J=1,MIN(8,ILONG-(I-1)*8)
  210       BASE(IOFSET+J)=RRR(J)
         ELSE IF(ITYLCM.EQ.6) THEN
*           COMPLEX DATA.
            ILONG=2*ILONG
            CALL SETARA(BASE,ILONG,IASS)
            IF((NUNIT.NE.0).AND.(IMODE.EQ.1)) THEN
               DO 220 I=1,1+(ILONG-1)/8
               IOFSET=IASS+(I-1)*8-1
               READ(NUNIT) (BASE(IOFSET+J),J=1,MIN(8,ILONG-(I-1)*8))
  220          CONTINUE
            ELSE IF((NUNIT.NE.0).AND.(IMODE.EQ.2)) THEN
               READ(NUNIT,'(5E16.0)') (BASE(IASS+I-1),I=1,ILONG)
            ENDIF
         ELSE
            WRITE(HSMG,'(43HLCMEXR: TRY TO IMPORT UNKNOWN TYPE RECORD O,
     1      6HN THE ,A11,8H NAMED '',A12,2H''.)') CMEDIU(IMED),NAMLCM
            CALL XABORT(HSMG)
         ENDIF
         CALL LCMPUT(IPLIST,NAMT,ILONG,ITYLCM,BASE(IASS))
         CALL RLSARA(BASE(IASS))
         ITOT=ITOT+ILONG
      ENDIF
      IF((NUNIT.NE.0).AND.(IMODE.EQ.1)) THEN
         READ(NUNIT,END=230) JLEVEL,NAMT,ITYLCM,ILONG
      ELSE IF((NUNIT.NE.0).AND.(IMODE.EQ.2)) THEN
         READ(NUNIT,340,END=230) JLEVEL,NAMT,ITYLCM,ILONG
      ENDIF
      GO TO 150
*
  230 DO 240 I=1,ILEVEL-1
      CALL LCMSIX(IPLIST,' ',2)
  240 CONTINUE
  250 IF(IMPX.GT.0) WRITE(6,330) 'IMPORTED',ITOT
      RETURN
*
  300 FORMAT (//9H LCMEXR: ,A6,1H ,A11,8H NAMED ',A12,14H' FROM ACTIVE ,
     1 11HDIRECTORY ',A12,3H' ://18H LEVEL  BLOCK NAME,4(1H-),4X,4HTYPE,
     2 8H  LENGTH/)
  320 FORMAT (1X,I5,3H  ',A12,1H',2I8)
  330 FORMAT (/23H TOTAL NUMBER OF WORDS ,A8,2H =,I10/)
  340 FORMAT (1X,I5,3X,A12,1X,2I8)
      END
