*DECK LCMGIL
      FUNCTION LCMGIL(IPLIST,ISET)
*
*-----------------------------------------------------------------------
*
* GET THE ADDRESS OF A TABLE OR OF A LIST LOCATED IN A FATHER LIST.
*
* INPUT PARAMETERS:
*  IPLIST : ADDRESS OF THE FATHER LIST.
*    ISET : INDEX OF THE SPECIFIC ELEMENT.
*
* OUTPUT PARAMETER:
*  LCMGIL : ADDRESS OF THE TABLE OR OF THE LIST NAMED NAMP.
*
*------------------------------------- AUTHOR: A. HEBERT ; 21/02/00 ----
*
      INTEGER PTMP
      PARAMETER (IHEAD=0,IHNAM=1,ILLIST=4,INEXT=5,IFATH=6,IFDIR=7,
     1 IMODE=8,ICANG=11,LFNODE=12)
      PARAMETER (JDATA=0,JJLON=1,JJTYP=2,JCMT=7)
      PARAMETER (LXDIR1=11)
      CHARACTER TEXT12*12,HSMG*131
      COMMON IBASE(1)
*
      IF((ISET.LE.0).OR.(ISET.GT.IBASE(IPLIST+ILLIST))) THEN
         WRITE(HSMG,'(A,I5,A,I5,A,3A4,A)') 'LCMGIL: LIST INDEX',ISET,
     1   ' OUT OF BOUNDS (1,',IBASE(IPLIST+ILLIST),') IN OBJECT ''',
     2   (IBASE(IPLIST+IHNAM+I),I=0,2),'''.'
         CALL XABORT(HSMG)
      ELSE IF(IBASE(IPLIST+IHEAD).EQ.200) THEN
*        USE A XSM FILE.
         IPXSM=IPLIST+(ISET-1)*LXDIR1
         CALL XSMLEN(IPXSM,' ',IILONG,ITYLCM)
         IF(ITYLCM.EQ.0) THEN
            CALL XSMDID(IPXSM,' ',JPLIST)
         ELSE
            CALL XSMLID(IPXSM,' ',IILONG,JPLIST)
         ENDIF
         LCMGIL=JPLIST
         RETURN
      ELSE IF(IBASE(IPLIST+IHEAD).NE.100) THEN
         WRITE(HSMG,'(A,3A4,A)') 'LCMGIL: THE TABLE ''',
     1   (IBASE(IPLIST+IHNAM+I),I=0,2),''' HAS THE WRONG HEADER.'
         CALL XABORT(HSMG)
      ELSE IF(IBASE(IPLIST+IMODE).EQ.0) THEN
         WRITE(HSMG,'(A,3A4,A)') 'LCMGIL: THE TABLE ''',
     1   (IBASE(IPLIST+IHNAM+I),I=0,2),''' IS CLOSED.'
         CALL XABORT(HSMG)
      ELSE IF(IBASE(IPLIST+IFATH).EQ.0) THEN
         WRITE(HSMG,'(2A)') 'LCMGIL: THE FATHER TABLE (''/'') IS NOT',
     1   ' A LIST.'
         CALL XABORT(HSMG)
      ELSE
         IP=IBASE(IPLIST+IFDIR)
         PTMP=IBASE(IBASE(IPLIST+IFATH)+INEXT)+10*(IP-1)
         IF(IBASE(PTMP+JJTYP).NE.10) THEN
            CALL LCMCAR(TEXT12,.FALSE.,IBASE(PTMP+JCMT))
            WRITE(HSMG,'(A,A12,A)') 'LCMGIL: THE FATHER TABLE ''',
     1      TEXT12,''' IS NOT A LIST.'
            CALL XABORT(HSMG)
         ENDIF
      ENDIF
      IPNODE=IBASE(IPLIST+(ISET-1)*LFNODE+INEXT)
      IF(IPNODE.NE.0) THEN
         IF((IBASE(IPNODE+JJTYP).NE.0).AND.(IBASE(IPNODE+JJTYP).NE.10))
     1   THEN
            WRITE(HSMG,'(A,I5,A,3A4,2A)') 'LCMGIL: LIST ELEMENT',ISET,
     1      ' IN LIST ''',(IBASE(IPLIST+IHNAM+I),I=0,2),''' IS NOT A',
     2      ' TABLE/LIST.'
            CALL XABORT(HSMG)
         ENDIF
         LCMGIL=IBASE(IPNODE+JDATA)
         RETURN
      ENDIF
      LCMGIL=0
      IP=IBASE(IPLIST+IFDIR)
      PTMP=IBASE(IBASE(IPLIST+IFATH)+INEXT)+10*(IP-1)
      CALL LCMCAR(TEXT12,.FALSE.,IBASE(PTMP+JCMT))
      WRITE(HSMG,'(2A,I5,A,A12,A,3A4,A)') 'LCMGIL: UNABLE TO FIND LIS',
     1 'T ELEMENT',ISET,' INTO DIRECTORY ''',TEXT12,''' IN TABLE ''',
     2 (IBASE(IPLIST+IHNAM+I),I=0,2),'''.'
      CALL XABORT(HSMG)
      END
