*DECK LCMIOF
      SUBROUTINE LCMIOF(IPLIST,NAMP,IOFSET)
*
*-----------------------------------------------------------------------
*
* GET A SETARA POINTER FOR AN ENTRY IN THE TABLE.
*
* INPUT PARAMETERS:
*  IPLIST : ADDRESS OF THE TABLE.
*    NAMP : CHARACTER*12 NAME OF THE CURRENT BLOCK.
*
* OUTPUT PARAMETER:
*  IOFSET : SETARA POINTER TO THE LCM ENTRY NAMED NAMP.
*
*------------------------------------- AUTHOR: A. HEBERT ; 28/10/93 ----
*
      PARAMETER (LHASH=251)
      INTEGER PTMP
      PARAMETER (IHEAD=0,IHNAM=1,ILLIST=4,INEXT=5,IFATH=6,IFDIR=7,
     1 IMODE=8,IMAX=9)
      PARAMETER (JDATA=0,JCMT=7)
      CHARACTER NAMP*(*),NAMT*12,TEXT12*12,HSMG*131
      INTEGER INAMT(3)
      COMMON IBASE(1)
*
      NAMT=NAMP
      IF((IBASE(IPLIST+IHEAD).NE.100).AND.(IBASE(IPLIST+IHEAD).NE.200))
     1   THEN
         WRITE(HSMG,'(A,3A4,A)') 'LCMIOF: THE TABLE ''',
     1   (IBASE(IPLIST+IHNAM+I),I=0,2),''' HAS THE WRONG HEADER.'
         CALL XABORT(HSMG)
      ELSE IF(IBASE(IPLIST+ILLIST).GE.0) THEN
         WRITE(HSMG,'(A,3A4,A)') 'LCMIOF: THE OBJECT ''',
     1   (IBASE(IPLIST+IHNAM+I),I=0,2),''' IS A LIST.'
         CALL XABORT(HSMG)
      ELSE IF(IBASE(IPLIST+IHEAD).EQ.200) THEN
*        USE A XSM FILE.
         CALL XSMIOF(IPLIST,NAMP,IOFSET)
         RETURN
      ELSE IF(IBASE(IPLIST+IMODE).EQ.0) THEN
         WRITE(HSMG,'(A,3A4,A)') 'LCMIOF: THE TABLE ''',
     1   (IBASE(IPLIST+IHNAM+I),I=0,2),''' IS CLOSED.'
         CALL XABORT(HSMG)
      ENDIF
      CALL LCMCAR(NAMT,.TRUE.,INAMT)
      IPNODE=IBASE(IPLIST+INEXT)
      IF(IPNODE.EQ.0) GO TO 30
      IPOS=MOD(ABS(INAMT(1)+3*INAMT(2)+5*INAMT(3)),LHASH)
      JHASH=10*IBASE(IPLIST+IMAX)
      DO 10 I=IBASE(IPNODE+JHASH+IPOS),1,-1
      IF(INAMT(1).EQ.IBASE(IPNODE+10*(I-1)+JCMT)) THEN
         IF(INAMT(2).EQ.IBASE(IPNODE+10*(I-1)+JCMT+1)) THEN
            IF(INAMT(3).EQ.IBASE(IPNODE+10*(I-1)+JCMT+2)) THEN
               IOFSET=IBASE(IPNODE+10*(I-1)+JDATA)
               RETURN
            ENDIF
         ENDIF
      ENDIF
   10 CONTINUE
   30 IOFSET=0
      IF(IBASE(IPLIST+IFATH).EQ.0) THEN
         TEXT12='/'
      ELSE
         PTMP=IBASE(IBASE(IPLIST+IFATH)+INEXT)
         IF(PTMP.EQ.0) THEN
            TEXT12=' '
         ELSE
            IP=IBASE(IPLIST+IFDIR)
            CALL LCMCAR(TEXT12,.FALSE.,IBASE(PTMP+10*(IP-1)+JCMT))
         ENDIF
      ENDIF
      WRITE(HSMG,'(2A,A12,A,A12,A,3A4,A)') 'LCMIOF: UNABLE TO FIND BL',
     1 'OCK ''',NAMT,''' INTO DIRECTORY ''',TEXT12,''' IN THE TABLE ''',
     2 (IBASE(IPLIST+IHNAM+I),I=0,2),'''.'
      CALL XABORT(HSMG)
      END
