*DECK LCMSTA
      SUBROUTINE LCMSTA(IPLIS1,IPLIS2)
*
*-----------------------------------------------------------------------
*
* COMPARE THE FLOATING POINT INFORMATION CONTAINED IN THE ACTIVE
* DIRECTORIES OF TWO TABLES OR XSM FILES POINTED BY IPLIS1 AND IPLIS2.
*
* INPUT PARAMETERS:
*  IPLIS1 : ADDRESS OF THE TABLE OR HANDLE TO THE XSM FILE.
*  IPLIS2 : ADDRESS OF THE TABLE OR HANDLE TO THE XSM FILE.
*
*------------------------------------- AUTHOR: A. HEBERT ; 21/12/93 ----
*
      PARAMETER (MAXLEV=50)
      CHARACTER NAMT*12,CTMP1*4,CTMP2*4,HNAME1*12,HNAME2*12,NAMMY*12,
     1 HSMG*131,PATH(MAXLEV)*12,FIRST(MAXLEV)*12,MYDIR(MAXLEV)*12
      REAL RR1(2),RR2(2)
      DOUBLE PRECISION DD1,DD2
      INTEGER IBASE(1),KDATA1(MAXLEV),KDATA2(MAXLEV),IVEC(MAXLEV),
     1 KJLON(MAXLEV),IGO(MAXLEV)
      LOGICAL EMPTY,LCM,LBASE(1)
      COMMON BASE(1)
      EQUIVALENCE (BASE(1),IBASE(1),LBASE(1)),(RR1(1),DD1),
     1 (RR2(1),DD2)
*
      CALL LCMVAL(IPLIS1,' ')
      CALL LCMVAL(IPLIS2,' ')
      ILEV=1
      KDATA1(1)=IPLIS1
      KDATA2(1)=IPLIS2
      KJLON(1)=-1
      IVEC(1)=1
      IGO(1)=5
      WRITE(6,'(/39H LCMSTA: COMPARISON OF TWO LCM OBJECTS.)')
*
* ASSOCIATIVE TABLE.
   10 CALL LCMINF(IPLIS1,HNAME1,NAMMY,EMPTY,ILONG,LCM)
      CALL LCMINF(IPLIS2,HNAME2,NAMMY,EMPTY,ILONG,LCM)
      MYDIR(ILEV)=NAMMY
      IF(EMPTY) GO TO (185,185,370,370,380),IGO(ILEV)
      NAMT=' '
      CALL LCMNXT(IPLIS1,NAMT)
*
      FIRST(ILEV)=NAMT
   15 CALL LCMLEN(IPLIS1,NAMT,ILON1,ITY1)
      CALL LCMLEN(IPLIS2,NAMT,ILON2,ITY2)
      IF((ILON1.NE.ILON2).OR.(ITY1.NE.ITY2)) THEN
         WRITE(6,'(/13H TWO BLOCKS '',A12,6H'' OF '',A12,7H'' AND '',
     1   A12,23H'' ARE OF UNEQUAL TYPE (,2I4,13H) OR LENGTH (,2I7,
     2   14H). DIRECTORY='',A12,2H''.)') NAMT,HNAME1,HNAME2,ITY1,
     3   ITY2,ILON1,ILON2,MYDIR(ILEV)
         GO TO 184
      ENDIF
      IF(ITY1.EQ.0) THEN
*        ASSOCIATIVE TABLE DATA.
         ILEV=ILEV+1
         IF(ILEV.GT.MAXLEV) THEN
            WRITE(HSMG,'(2A,A12,A)') 'LCMSTA: TOO MANY DIRECTORY ',
     1      'LEVELS ON ''',HNAME2,'''(1).'
            CALL XABORT(HSMG)
         ENDIF
         KJLON(ILEV)=-1
         KDATA1(ILEV)=LCMGID(IPLIS1,NAMT)
         KDATA2(ILEV)=LCMGID(IPLIS2,NAMT)
         PATH(ILEV)=NAMT
         IPLIS1=KDATA1(ILEV)
         IPLIS2=KDATA2(ILEV)
         IVEC(ILEV)=1
         IGO(ILEV)=1
         GO TO 10
      ELSE IF(ITY1.EQ.10) THEN
*        LIST DATA.
         ILEV=ILEV+1
         IF(ILEV.GT.MAXLEV) THEN
            WRITE(HSMG,'(2A,A12,A)') 'LCMSTA: TOO MANY DIRECTORY ',
     1      'LEVELS ON ''',HNAME2,'''(2).'
            CALL XABORT(HSMG)
         ENDIF
         KJLON(ILEV)=ILON1
         KDATA1(ILEV)=LCMGID(IPLIS1,NAMT)
         KDATA2(ILEV)=LCMGID(IPLIS2,NAMT)
         PATH(ILEV)=NAMT
         IPLIS1=KDATA1(ILEV)
         IPLIS2=KDATA2(ILEV)
         IVEC(ILEV)=0
         IGO(ILEV)=2
         GO TO 190
      ELSE IF(ITY1.LE.6) THEN
         IF(ITY1.EQ.1) THEN
*           INTEGER DATA.
            CALL SETARA(BASE,ILON1,IAS1)
            CALL SETARA(BASE,ILON2,IAS2)
            CALL LCMGET(IPLIS1,NAMT,BASE(IAS1))
            CALL LCMGET(IPLIS2,NAMT,BASE(IAS2))
            DO 80 I=1,ILON1
            IF(IBASE(IAS1+I-1).NE.IBASE(IAS2+I-1)) THEN
               WRITE(6,'(/40H INCONSISTENT INTEGER DATA ON THE TWO DI,
     1         19HRECTORIES. RECORD='',A12,13H'' DIRECTORY='',A12,
     2         1H'')') NAMT,MYDIR(ILEV)
               GO TO 180
            ENDIF
   80       CONTINUE
         ELSE IF((ITY1.EQ.2).OR.(ITY1.EQ.6)) THEN
*           COMPARE THE TWO SINGLE PRECISION OR COMPLEX BLOCKS.
            CALL SETARA(BASE,ILON1,IAS1)
            CALL SETARA(BASE,ILON2,IAS2)
            CALL LCMGET(IPLIS1,NAMT,BASE(IAS1))
            CALL LCMGET(IPLIS2,NAMT,BASE(IAS2))
            EPSMAX=0.0
            EPSAVG=0.0
            INGRO=0
            WRITE(6,'(/32H COMPARE REAL OR COMPLEX BLOCK '',A12,
     1      26H'' IN TABLES OR XSM FILES '',A12,7H'' AND '',A12,
     2      16H'' IN DIRECTORY '',A12,2H'':)') NAMT,HNAME1,HNAME2,
     3      MYDIR(ILEV)
            DO 100 I=1,ILON1
            ABSEP=ABS(BASE(IAS1+I-1)-BASE(IAS2+I-1))
            IF(EPSMAX.LT.ABSEP) THEN
               EPSMAX=ABSEP
               INGRO=I
            ENDIF
  100       EPSAVG=EPSAVG+ABSEP
            EPSAVG=EPSAVG/REAL(ILON1)
            WRITE (6,'(/5H LEN=,I6,5X,7HEPSMAX=,E10.5,13H IN COMPONENT,
     1      I6/16X,7HEPSAVG=,E10.5)') ILON1,EPSMAX,INGRO,EPSAVG
         ELSE IF(ITY1.EQ.3) THEN
*           CHARACTER*4 DATA.
            CALL SETARA(BASE,ILON1,IAS1)
            CALL SETARA(BASE,ILON2,IAS2)
            CALL LCMGET(IPLIS1,NAMT,BASE(IAS1))
            CALL LCMGET(IPLIS2,NAMT,BASE(IAS2))
            DO 130 I=1,ILON1
              WRITE(CTMP1,'(A4)') BASE(IAS1+I-1)
              WRITE(CTMP2,'(A4)') BASE(IAS2+I-1)
              IF(CTMP1.NE.CTMP2) THEN
                WRITE(6,'(/39H INCONSISTENT CHARACTER DATA ON THE TWO,
     1          22H DIRECTORIES. RECORD='',A12,13H'' DIRECTORY '',
     2          A12,8H'' DATA='',A4,3H'' '',A4,1H'')') NAMT,MYDIR(ILEV),
     3          CTMP1,CTMP2
                GO TO 180
              ENDIF
  130       CONTINUE
         ELSE IF(ITY1.EQ.4) THEN
*           COMPARE THE TWO DOUBLE PRECISION BLOCKS.
            CALL SETARA(BASE,ILON1,IAS1)
            CALL SETARA(BASE,ILON2,IAS2)
            CALL LCMGET(IPLIS1,NAMT,BASE(IAS1))
            CALL LCMGET(IPLIS2,NAMT,BASE(IAS2))
            EPSMAX=0.0
            EPSAVG=0.0
            INGRO=0
            WRITE(6,'(/33H COMPARE DOUBLE PRECISION BLOCK '',A12,
     1      26H'' IN TABLES OR XSM FILES '',A12,7H'' AND '',A12,
     2      16H'' IN DIRECTORY '',A12,2H'':)') NAMT,HNAME1,HNAME2,
     3      MYDIR(ILEV)
            DO 150 I=1,ILON1/2
            RR1(1)=BASE(IAS1+(I-1)*2)
            RR1(2)=BASE(IAS1+(I-1)*2+1)
            RR2(1)=BASE(IAS2+(I-1)*2)
            RR2(2)=BASE(IAS2+(I-1)*2+1)
            ABSEP=ABS(DD1-DD2)
            IF(EPSMAX.LT.ABSEP) THEN
               EPSMAX=ABSEP
               INGRO=I
            ENDIF
  150       EPSAVG=EPSAVG+ABSEP
            EPSAVG=EPSAVG/REAL(ILON1)
            WRITE (6,'(/5H LEN=,I6,5X,7HEPSMAX=,E10.5,13H IN COMPONENT,
     1      I6/16X,7HEPSAVG=,E10.5)') ILON1,EPSMAX,INGRO,EPSAVG
         ELSE IF(ITY1.EQ.5) THEN
*           LOGICAL DATA.
            CALL SETARA(BASE,ILON1,IAS1)
            CALL SETARA(BASE,ILON2,IAS2)
            CALL LCMGET(IPLIS1,NAMT,BASE(IAS1))
            CALL LCMGET(IPLIS2,NAMT,BASE(IAS2))
            DO 170 I=1,ILON1
            IF(LBASE(IAS1+I-1).NEQV.LBASE(IAS2+I-1)) THEN
               WRITE(6,'(/40H INCONSISTENT LOGICAL DATA ON THE TWO DI,
     1         19HRECTORIES. RECORD='',A12,13H'' DIRECTORY='',A12,
     2         1H'')') NAMT,MYDIR(ILEV)
               GO TO 180
            ENDIF
  170       CONTINUE
         ELSE
            CALL XABORT('LCMSTA: INVALID DATA TYPE(1).')
         ENDIF
  180    CALL RLSARA(BASE(IAS2))
         CALL RLSARA(BASE(IAS1))
      ENDIF
  184 CALL LCMNXT(IPLIS1,NAMT)
      IF(NAMT.NE.FIRST(ILEV)) GO TO 15
      GO TO (185,185,370,370,380),IGO(ILEV)
*
  185 NAMT=PATH(ILEV)
      ILEV=ILEV-1
      IPLIS1=KDATA1(ILEV)
      IPLIS2=KDATA2(ILEV)
      CALL LCMNXT(IPLIS1,NAMT)
      IF(NAMT.NE.FIRST(ILEV)) GO TO 15
      GO TO (185,185,370,370,380),IGO(ILEV)
*
* LIST.
  190 IVEC(ILEV)=IVEC(ILEV)+1
      IF(IVEC(ILEV).GT.KJLON(ILEV)) THEN
         GO TO (185,185,370,370,380),IGO(ILEV)
      ENDIF
      CALL LCMLEL(KDATA1(ILEV),IVEC(ILEV),ILON1,ITY1)
      CALL LCMLEL(KDATA2(ILEV),IVEC(ILEV),ILON2,ITY2)
      IF((ILON1.NE.ILON2).OR.(ITY1.NE.ITY2)) THEN
         WRITE(6,'(/15H TWO COMPONENTS,I6,5H OF '',A12,7H'' AND '',
     1   A12,23H'' ARE OF UNEQUAL TYPE (,2I4,13H) OR LENGTH (,
     2   2I7,2H).)') IVEC(ILEV),HNAME1,HNAME2,ITY1,ITY2,ILON1,
     3   ILON2
         GO TO 190
      ENDIF
      IF((ILON1.NE.0).AND.(ITY1.EQ.0)) THEN
*        ASSOCIATIVE TABLE DATA.
         ILEV=ILEV+1
         IF(ILEV.GT.MAXLEV) THEN
            WRITE(HSMG,'(2A,A12,A)') 'LCMSTA: TOO MANY DIRECTORY ',
     1      'LEVELS ON ''',HNAME2,'''(3).'
            CALL XABORT(HSMG)
         ENDIF
         KJLON(ILEV)=-1
         KDATA1(ILEV)=LCMGIL(IPLIS1,IVEC(ILEV-1))
         KDATA2(ILEV)=LCMGIL(IPLIS2,IVEC(ILEV-1))
         IPLIS1=KDATA1(ILEV)
         IPLIS2=KDATA2(ILEV)
         IVEC(ILEV)=1
         IGO(ILEV)=3
         GO TO 10
      ELSE IF((ILON1.NE.0).AND.(ITY1.EQ.10)) THEN
*        LIST DATA.
         ILEV=ILEV+1
         IF(ILEV.GT.MAXLEV) THEN
            WRITE(HSMG,'(2A,A12,A)') 'LCMSTA: TOO MANY DIRECTORY ',
     1      'LEVELS ON ''',HNAME2,'''(4).'
            CALL XABORT(HSMG)
         ENDIF
         KJLON(ILEV)=ILON1
         KDATA1(ILEV)=LCMGIL(IPLIS1,IVEC(ILEV-1))
         KDATA2(ILEV)=LCMGIL(IPLIS2,IVEC(ILEV-1))
         IPLIS1=KDATA1(ILEV)
         IPLIS2=KDATA2(ILEV)
         IVEC(ILEV)=0
         IGO(ILEV)=4
         GO TO 190
      ELSE IF((ILON1.NE.0).AND.(ITY1.LE.6)) THEN
         IF(ITY1.EQ.1) THEN
*           INTEGER DATA.
            CALL SETARA(BASE,ILON1,IAS1)
            CALL SETARA(BASE,ILON2,IAS2)
            CALL LCMGDL(IPLIS1,IVEC(ILEV),BASE(IAS1))
            CALL LCMGDL(IPLIS2,IVEC(ILEV),BASE(IAS2))
            DO 230 I=1,ILON1
            IF(IBASE(IAS1+I-1).NE.IBASE(IAS2+I-1)) THEN
               WRITE(6,'(/40H INCONSISTENT INTEGER DATA ON THE TWO DI,
     1         24HRECTORIES. LIST ELEMENT=,I5,1H.)') IVEC(ILEV)
               GO TO 360
            ENDIF
  230       CONTINUE
         ELSE IF((ITY1.EQ.2).OR.(ITY1.EQ.6)) THEN
*           COMPARE THE TWO SINGLE PRECISION OR COMPLEX BLOCKS.
            CALL SETARA(BASE,ILON1,IAS1)
            CALL SETARA(BASE,ILON2,IAS2)
            CALL LCMGDL(IPLIS1,IVEC(ILEV),BASE(IAS1))
            CALL LCMGDL(IPLIS2,IVEC(ILEV),BASE(IAS2))
            EPSMAX=0.0
            EPSAVG=0.0
            INGRO=0
            WRITE(6,'(/37H COMPARE REAL OR COMPLEX LIST ELEMENT,I5,
     1      25H IN TABLES OR XSM FILES '',A12,7H'' AND '',A12,2H'':)
     2      ') IVEC(ILEV),HNAME1,HNAME2
            DO 250 I=1,ILON1
            ABSEP=ABS(BASE(IAS1+I-1)-BASE(IAS2+I-1))
            IF(EPSMAX.LT.ABSEP) THEN
               EPSMAX=ABSEP
               INGRO=I
            ENDIF
  250       EPSAVG=EPSAVG+ABSEP
            EPSAVG=EPSAVG/REAL(ILON1)
            WRITE (6,'(/5H LEN=,I6,5X,7HEPSMAX=,E10.5,13H IN COMPONENT,
     1      I6/16X,7HEPSAVG=,E10.5)') ILON1,EPSMAX,INGRO,EPSAVG
         ELSE IF(ITY1.EQ.3) THEN
*           CHARACTER*4 DATA.
            CALL SETARA(BASE,ILON1,IAS1)
            CALL SETARA(BASE,ILON2,IAS2)
            CALL LCMGDL(IPLIS1,IVEC(ILEV),BASE(IAS1))
            CALL LCMGDL(IPLIS2,IVEC(ILEV),BASE(IAS2))
            DO 280 I=1,ILON1
              WRITE(CTMP1,'(A4)') BASE(IAS1+I-1)
              WRITE(CTMP2,'(A4)') BASE(IAS2+I-1)
              IF(CTMP1.NE.CTMP2) THEN
                WRITE(6,'(/40H INCONSISTENT CHARACTER DATA ON THE TWO ,
     1          26HDIRECTORIES. LIST ELEMENT=,I5,8H'' DATA='',A4,
     2          3H'' '',A4,2H''.)') IVEC(ILEV),CTMP1,CTMP2
                GO TO 360
              ENDIF
  280       CONTINUE
         ELSE IF(ITY1.EQ.4) THEN
*           COMPARE THE TWO DOUBLE PRECISION BLOCKS.
            CALL SETARA(BASE,ILON1,IAS1)
            CALL SETARA(BASE,ILON1,IAS2)
            CALL LCMGDL(IPLIS1,IVEC(ILEV),BASE(IAS1))
            CALL LCMGDL(IPLIS2,IVEC(ILEV),BASE(IAS2))
            EPSMAX=0.0
            EPSAVG=0.0
            INGRO=0
            WRITE(6,'(/33H COMPARE DOUBLE PRECISION BLOCK '',A12,
     1      26H'' IN TABLES OR XSM FILES '',A12,7H'' AND '',A12,
     2      2H'':)') NAMT,HNAME1,HNAME2
            DO 300 I=1,ILON1/2
            RR1(1)=BASE(IAS1+(I-1)*2)
            RR1(2)=BASE(IAS1+(I-1)*2+1)
            RR2(1)=BASE(IAS2+(I-1)*2)
            RR2(2)=BASE(IAS2+(I-1)*2+1)
            ABSEP=ABS(DD1-DD2)
            IF(EPSMAX.LT.ABSEP) THEN
               EPSMAX=ABSEP
               INGRO=I
            ENDIF
  300       EPSAVG=EPSAVG+ABSEP
            EPSAVG=EPSAVG/REAL(ILON1)
            WRITE (6,'(/5H LEN=,I6,5X,7HEPSMAX=,E10.5,13H IN COMPONENT,
     1      I6/16X,7HEPSAVG=,E10.5)') ILON1,EPSMAX,INGRO,EPSAVG
         ELSE IF(ITY1.EQ.5) THEN
*           LOGICAL DATA.
            CALL SETARA(BASE,ILON1,IAS1)
            CALL SETARA(BASE,ILON2,IAS2)
            CALL LCMGDL(IPLIS1,IVEC(ILEV),BASE(IAS1))
            CALL LCMGDL(IPLIS2,IVEC(ILEV),BASE(IAS2))
            DO 350 I=1,ILON1
            IF(LBASE(IAS1+I-1).NEQV.LBASE(IAS2+I-1)) THEN
               WRITE(6,'(/40H INCONSISTENT LOGICAL DATA ON THE TWO DI,
     1         24HRECTORIES. LIST ELEMENT=,I5,1H.)') IVEC(ILEV)
               GO TO 360
            ENDIF
  350       CONTINUE
         ELSE
            CALL XABORT('LCMSTA: INVALID DATA TYPE(2).')
         ENDIF
  360    CALL RLSARA(BASE(IAS2))
         CALL RLSARA(BASE(IAS1))
      ENDIF
      GO TO 190
*
  370 ILEV=ILEV-1
      IPLIS1=KDATA1(ILEV)
      IPLIS2=KDATA2(ILEV)
      GO TO 190
*
  380 RETURN
      END
