*DECK LCMULT
      SUBROUTINE LCMULT(IPLIST,FLOTT)
*
*-----------------------------------------------------------------------
*
* MULTIPLY THE FLOATING POINT INFORMATION CONTAINED IN THE ACTIVE
* DIRECTORY OF A TABLE OR XSM FILE BY A REAL NUMBER.
*
* INPUT PARAMETERS:
*  IPLIST : ADDRESS OF THE TABLE OR HANDLE TO THE XSM FILE.
*  FLOTT  : REAL NUMBER.
*
* OUTPUT PARAMETER:
*  IPLIST : ADDRESS OF THE TABLE OR HANDLE TO THE XSM FILE.
*
*------------------------------------- AUTHOR: A. HEBERT ; 02/11/93 ----
*
      PARAMETER (MAXLEV=50)
      CHARACTER NAMT*12,HSMG*131,MYNAME*12,NAMLCM*12,PATH(MAXLEV)*12,
     1 FIRST(MAXLEV)*12
      REAL RRR(2)
      LOGICAL EMPTY,LCM
      DOUBLE PRECISION DDD
      INTEGER IBASE(1),KDATA(MAXLEV),IVEC(MAXLEV),KJLON(MAXLEV),
     1 IGO(MAXLEV)
      COMMON BASE(1)
      EQUIVALENCE (BASE(1),IBASE(1)),(RRR(1),DDD)
*
      CALL LCMVAL(IPLIST,' ')
      ILEV=1
      KDATA(1)=IPLIST
      KJLON(1)=-1
      IVEC(1)=1
      IGO(1)=5
*
* ASSOCIATIVE TABLE.
   10 CALL LCMINF(IPLIST,MYNAME,NAMLCM,EMPTY,ILONG,LCM)
      IF(EMPTY) GO TO (100,100,240,240,250),IGO(ILEV)
      NAMT=' '
      CALL LCMNXT(IPLIST,NAMT)
*
      FIRST(ILEV)=NAMT
   15 CALL LCMLEN(IPLIST,NAMT,ILON1,ITY1)
      IF(ITY1.EQ.0) THEN
*        ASSOCIATIVE TABLE DATA.
         ILEV=ILEV+1
         IF(ILEV.GT.MAXLEV) THEN
            WRITE(HSMG,'(2A,A12,A)') 'LCMULT: TOO MANY DIRECTORY ',
     1      'LEVELS ON ''',MYNAME,'''(1).'
            CALL XABORT(HSMG)
         ENDIF
         KJLON(ILEV)=-1
         KDATA(ILEV)=LCMGID(IPLIST,NAMT)
         PATH(ILEV)=NAMT
         IPLIST=KDATA(ILEV)
         IVEC(ILEV)=1
         IGO(ILEV)=1
         GO TO 10
      ELSE IF(ITY1.EQ.10) THEN
*        LIST DATA.
         ILEV=ILEV+1
         IF(ILEV.GT.MAXLEV) THEN
            WRITE(HSMG,'(2A,A12,A)') 'LCMULT: TOO MANY DIRECTORY ',
     1      'LEVELS ON ''',MYNAME,'''(2).'
            CALL XABORT(HSMG)
         ENDIF
         KJLON(ILEV)=ILON1
         KDATA(ILEV)=LCMGID(IPLIST,NAMT)
         PATH(ILEV)=NAMT
         IPLIST=KDATA(ILEV)
         IVEC(ILEV)=0
         IGO(ILEV)=2
         GO TO 190
      ELSE IF((ITY1.EQ.2).OR.(ITY1.EQ.6)) THEN
*        SINGLE PRECISION OR COMPLEX DATA.
         IF(LCM) THEN
            CALL LCMIOF(IPLIST,NAMT,IAS1)
         ELSE
            CALL SETARA(BASE,ILON1,IAS1)
            CALL LCMGET(IPLIST,NAMT,BASE(IAS1))
         ENDIF
         DO 70 I=1,ILON1
   70    BASE(IAS1+I-1)=FLOTT*BASE(IAS1+I-1)
         CALL LCMPOF(IPLIST,NAMT,ILON1,ITY1,IAS1)
      ELSE IF(ITY1.EQ.4) THEN
*        DOUBLE PRECISION DATA.
         IF(LCM) THEN
            CALL LCMIOF(IPLIST,NAMT,IAS1)
         ELSE
            CALL SETARA(BASE,ILON1,IAS1)
            CALL LCMGET(IPLIST,NAMT,BASE(IAS1))
         ENDIF
         DO 80 I=1,ILON1/2
         RRR(1)=BASE(IAS1+(I-1)+I-1)
         RRR(2)=BASE(IAS1+(I-1)+I)
         DDD=FLOTT*DDD
         BASE(IAS1+(I-1)+I-1)=RRR(1)
   80    BASE(IAS1+(I-1)+I)=RRR(2)
         CALL LCMPOF(IPLIST,NAMT,ILON1,ITY1,IAS1)
      ENDIF
      CALL LCMNXT(IPLIST,NAMT)
      IF(NAMT.NE.FIRST(ILEV)) GO TO 15
      GO TO (100,100,240,240,250),IGO(ILEV)
*
  100 NAMT=PATH(ILEV)
      ILEV=ILEV-1
      IPLIST=KDATA(ILEV)
      CALL LCMNXT(IPLIST,NAMT)
      IF(NAMT.NE.FIRST(ILEV)) GO TO 15
      GO TO (100,100,240,240,250),IGO(ILEV)
*
* LIST.
  190 IVEC(ILEV)=IVEC(ILEV)+1
      IF(IVEC(ILEV).GT.KJLON(ILEV)) THEN
         GO TO (100,100,240,240,250),IGO(ILEV)
      ENDIF
      CALL LCMLEL(KDATA(ILEV),IVEC(ILEV),ILON1,ITY1)
      IF((ILON1.NE.0).AND.(ITY1.EQ.0)) THEN
*        ASSOCIATIVE TABLE DATA.
         ILEV=ILEV+1
         IF(ILEV.GT.MAXLEV) THEN
            WRITE(HSMG,'(2A,A12,A)') 'LCMULT: TOO MANY DIRECTORY ',
     1      'LEVELS ON ''',MYNAME,'''(3).'
            CALL XABORT(HSMG)
         ENDIF
         KJLON(ILEV)=-1
         KDATA(ILEV)=LCMGIL(IPLIST,IVEC(ILEV-1))
         IPLIST=KDATA(ILEV)
         IVEC(ILEV)=1
         IGO(ILEV)=3
         GO TO 10
      ELSE IF((ILON1.NE.0).AND.(ITY1.EQ.10)) THEN
*        LIST DATA.
         ILEV=ILEV+1
         IF(ILEV.GT.MAXLEV) THEN
            WRITE(HSMG,'(2A,A12,A)') 'LCMULT: TOO MANY DIRECTORY ',
     1      'LEVELS ON ''',MYNAME,'''(4).'
            CALL XABORT(HSMG)
         ENDIF
         KJLON(ILEV)=ILON1
         KDATA(ILEV)=LCMGIL(IPLIST,IVEC(ILEV-1))
         IPLIST=KDATA(ILEV)
         IVEC(ILEV)=0
         IGO(ILEV)=4
         GO TO 190
      ELSE IF((ILON1.NE.0).AND.(ITY1.LE.6)) THEN
         IF((ITY1.EQ.2).OR.(ITY1.EQ.6)) THEN
*           SINGLE PRECISION OR COMPLEX DATA.
            IF(LCM) THEN
               CALL LCMGSL(IPLIST,IVEC(ILEV),IAS1)
            ELSE
               CALL SETARA(BASE,ILON1,IAS1)
               CALL LCMGDL(IPLIST,IVEC(ILEV),BASE(IAS1))
            ENDIF
            DO 220 I=1,ILON1
  220       BASE(IAS1+I-1)=FLOTT*BASE(IAS1+I-1)
            CALL LCMPSL(IPLIST,IVEC(ILEV),ILON1,ITY1,IAS1)
         ELSE IF(ITY1.EQ.4) THEN
*           DOUBLE PRECISION DATA.
            IF(LCM) THEN
               CALL LCMGSL(IPLIST,IVEC(ILEV),IAS1)
            ELSE
               CALL SETARA(BASE,ILON1,IAS1)
               CALL LCMGDL(IPLIST,IVEC(ILEV),BASE(IAS1))
            ENDIF
            DO 230 I=1,ILON1/2
            RRR(1)=BASE(IAS1+(I-1)+I-1)
            RRR(2)=BASE(IAS1+(I-1)+I)
            DDD=FLOTT*DDD
            BASE(IAS1+(I-1)+I-1)=RRR(1)
  230       BASE(IAS1+(I-1)+I)=RRR(2)
            CALL LCMPSL(IPLIST,IVEC(ILEV),ILON1,ITY1,IAS1)
         ENDIF
      ENDIF
      GO TO 190
*
  240 ILEV=ILEV-1
      IPLIST=KDATA(ILEV)
      GO TO 190
*
  250 RETURN
      END
