*DECK LCMVAL
      SUBROUTINE LCMVAL(IPLIST,NAMP)
*
*-----------------------------------------------------------------------
*
* VALIDATE THE LCM ENTRIES CONTAINED IN A TABLE.
*
* INPUT PARAMETER:
*  IPLIST : ADDRESS OF THE TABLE.
*    NAMP : CHARACTER*12 NAME OF THE BLOCK TO VALIDATE. IF NAMP=' ',
*           THE COMPLETE TABLE IS VALIDATED.
*
*------------------------------------- AUTHOR: A. HEBERT ; 26/10/93 ----
*
      PARAMETER (MAXLEV=50)
      INTEGER PTMP
      PARAMETER (IHEAD=0,IHNAM=1,ILLIST=4,INEXT=5,IFATH=6,IFDIR=7,
     1 IMODE=8,INREF=10,LFNODE=12)
      PARAMETER (JDATA=0,JJLON=1,JJTYP=2,JIDAT=3,JCMT=7)
      DIMENSION IBASE(1),RRR1(2),RRR2(2),KDATA(MAXLEV),IVEC(MAXLEV),
     1 KJLON(MAXLEV),IGO(MAXLEV)
      LOGICAL LBASE(1),LERR1,LERR2
      DOUBLE PRECISION DDD1,DDD2
      COMMON BASE(1)
      EQUIVALENCE (BASE(1),IBASE(1),LBASE(1)),(RRR1(1),DDD1),
     1 (RRR2(1),DDD2)
      CHARACTER NAMP*(*),NAMT*12,HSMG*131,CMT*12
*
      IF((IBASE(IPLIST+IHEAD).NE.100).AND.(IBASE(IPLIST+IHEAD).NE.200))
     1   THEN
         WRITE(HSMG,'(A,3A4,A)') 'LCMVAL: THE TABLE ''',
     1   (IBASE(IPLIST+IHNAM+I),I=0,2),''' HAS THE WRONG HEADER.'
         CALL XABORT(HSMG)
      ELSE IF(IBASE(IPLIST+ILLIST).GE.0) THEN
         WRITE(HSMG,'(A,3A4,A)') 'LCMVAL: THE OBJECT ''',
     1   (IBASE(IPLIST+IHNAM+I),I=0,2),''' IS A LIST.'
         CALL XABORT(HSMG)
      ELSE IF(IBASE(IPLIST+IHEAD).EQ.200) THEN
*        USE A XSM FILE.
         RETURN
      ELSE IF(IBASE(IPLIST+IMODE).EQ.0) THEN
         WRITE(HSMG,'(A,3A4,A)') 'LCMVAL: THE TABLE ''',
     1   (IBASE(IPLIST+IHNAM+I),I=0,2),''' IS CLOSED.'
         CALL XABORT(HSMG)
      ENDIF
      NAMT=NAMP
      ILEV=1
      KDATA(1)=IPLIST
      KJLON(1)=-1
      IVEC(1)=1
      IGO(1)=5
*
*     ASSOCIATIVE TABLE.
   10 INODE=IBASE(IPLIST+INEXT)
      IF(INODE.EQ.0) GO TO (70,70,120,120,200),IGO(ILEV)
      NREF=IBASE(IPLIST+INREF)
      IREF=0
   20 IREF=IREF+1
      IF(IREF.GT.NREF) GO TO (70,70,120,120,200),IGO(ILEV)
      PTMP=INODE+10*(IREF-1)
      CALL LCMCAR(CMT,.FALSE.,IBASE(PTMP+JCMT))
      IF((NAMT.NE.' ').AND.(NAMT.NE.CMT)) GO TO 20
      IF(CMT.EQ.' ') GO TO 20
      IP1=IBASE(PTMP+JDATA)
      IP2=IP1+IBASE(PTMP+JJLON)-1
      ILONG=IBASE(PTMP+JJLON)
      ITYLCM=IBASE(PTMP+JJTYP)
      LERR1=.FALSE.
      LERR2=.FALSE.
      IF(ITYLCM.EQ.0) THEN
*        ASSOCIATIVE TABLE DATA.
         ILEV=ILEV+1
         IF(ILEV.GT.MAXLEV) THEN
            WRITE(HSMG,'(2A,3A4,A)') 'LCMVAL: TOO MANY DIRECTORY ',
     1      'LEVELS ON ''',(IBASE(IPLIST+IHNAM+I),I=0,2),'''(1).'
            CALL XABORT(HSMG)
         ENDIF
         KDATA(ILEV)=IBASE(PTMP+JDATA)
         KJLON(ILEV)=-1
         IPLIST=KDATA(ILEV)
         IVEC(ILEV)=1
         IGO(ILEV)=1
         GO TO 10
      ELSE IF(ITYLCM.EQ.10) THEN
*        LIST DATA.
         ILEV=ILEV+1
         IF(ILEV.GT.MAXLEV) THEN
            WRITE(HSMG,'(2A,3A4,A)') 'LCMVAL: TOO MANY DIRECTORY ',
     1      'LEVELS ON ''',(IBASE(IPLIST+IHNAM+I),I=0,2),'''(3).'
            CALL XABORT(HSMG)
         ENDIF
         KDATA(ILEV)=IBASE(PTMP+JDATA)
         KJLON(ILEV)=ILONG
         IPLIST=KDATA(ILEV)
         IVEC(ILEV)=0
         IGO(ILEV)=2
         GO TO 80
      ELSE IF((ITYLCM.EQ.1).OR.(ITYLCM.EQ.3)) THEN
         LERR1=IBASE(PTMP+JIDAT).NE.IBASE(IP1)
         LERR2=IBASE(PTMP+JIDAT+1).NE.IBASE(IP2)
      ELSE IF(ITYLCM.EQ.2) THEN
         LERR1=BASE(PTMP+JIDAT).NE.BASE(IP1)
         LERR2=BASE(PTMP+JIDAT+1).NE.BASE(IP2)
      ELSE IF(ITYLCM.EQ.4) THEN
         RRR1(1)=BASE(PTMP+JIDAT)
         RRR1(2)=BASE(PTMP+JIDAT+1)
         RRR2(1)=BASE(IP1)
         RRR2(2)=BASE(IP1+1)
         LERR1=DDD1.NE.DDD2
         RRR1(1)=BASE(PTMP+JIDAT+2)
         RRR1(2)=BASE(PTMP+JIDAT+3)
         RRR2(1)=BASE(IP2-1)
         RRR2(2)=BASE(IP2)
         LERR2=DDD1.NE.DDD2
      ELSE IF(ITYLCM.EQ.5) THEN
         LERR1=LBASE(PTMP+JIDAT).NEQV.LBASE(IP1)
         LERR2=LBASE(PTMP+JIDAT+1).NEQV.LBASE(IP2)
      ELSE IF(ITYLCM.EQ.6) THEN
         LERR1=(BASE(PTMP+JIDAT).NE.BASE(IP1)).OR.
     1   (BASE(PTMP+JIDAT+1).NE.BASE(IP1+1))
         LERR2=(BASE(PTMP+JIDAT+2).NE.BASE(IP2-1)).OR.
     1   (BASE(PTMP+JIDAT+3).NE.BASE(IP2))
      ENDIF
      IF(LERR1) THEN
         WRITE(HSMG,'(A,A12,A,3A4,A)') 'LCMVAL: BLOCK ''',CMT,
     1   ''' OF THE TABLE ''',(IBASE(IPLIST+IHNAM+I),I=0,2),
     2   ''' HAS BEEN OVERWRITTEN (1).'
         CALL XABORT(HSMG)
      ELSE IF(LERR2) THEN
         WRITE(HSMG,'(A,A12,A,3A4,A)') 'LCMVAL: BLOCK ''',CMT,
     1   ''' OF THE TABLE ''',(IBASE(IPLIST+IHNAM+I),I=0,2),
     2   ''' HAS BEEN OVERWRITTEN (2).'
         CALL XABORT(HSMG)
      ENDIF
      GO TO 20
*
   70 ILEV=ILEV-1
      IREF=IBASE(IPLIST+IFDIR)
      IPLIST=KDATA(ILEV)+(IVEC(ILEV)-1)*LFNODE
      INODE=IBASE(IPLIST+INEXT)
      NREF=IBASE(IPLIST+INREF)
      GO TO 20
*
*     LIST.
   80 IVEC(ILEV)=IVEC(ILEV)+1
      IF(IVEC(ILEV).GT.KJLON(ILEV)) THEN
         GO TO (70,70,120,120,200),IGO(ILEV)
      ENDIF
      KNODE=IBASE(KDATA(ILEV)+(IVEC(ILEV)-1)*LFNODE+INEXT)
      IF(KNODE.EQ.0) GO TO 80
      KP1=IBASE(KNODE+JDATA)
      KP2=KP1+IBASE(KNODE+JJLON)-1
      ILONG=IBASE(KNODE+JJLON)
      ITYLCM=IBASE(KNODE+JJTYP)
      LERR1=.FALSE.
      LERR2=.FALSE.
      IF(ITYLCM.EQ.0) THEN
*        ASSOCIATIVE TABLE DATA.
         ILEV=ILEV+1
         IF(ILEV.GT.MAXLEV) THEN
            WRITE(HSMG,'(2A,3A4,A)') 'LCMVAL: TOO MANY DIRECTORY ',
     1      'LEVELS ON ''',(IBASE(IPLIST+IHNAM+I),I=0,2),'''(4).'
            CALL XABORT(HSMG)
         ENDIF
         KDATA(ILEV)=IBASE(KNODE+JDATA)
         KJLON(ILEV)=-1
         IPLIST=KDATA(ILEV)
         IVEC(ILEV)=1
         IGO(ILEV)=3
         GO TO 10
      ELSE IF(ITYLCM.EQ.10) THEN
*        LIST DATA.
         ILEV=ILEV+1
         IF(ILEV.GT.MAXLEV) THEN
            WRITE(HSMG,'(2A,3A4,A)') 'LCMVAL: TOO MANY DIRECTORY ',
     1      'LEVELS ON ''',(IBASE(IPLIST+IHNAM+I),I=0,2),'''(5).'
            CALL XABORT(HSMG)
         ENDIF
         KDATA(ILEV)=IBASE(KNODE+JDATA)
         KJLON(ILEV)=ILONG
         IPLIST=KDATA(ILEV)
         IVEC(ILEV)=0
         IGO(ILEV)=4
         GO TO 80
      ELSE IF((ITYLCM.EQ.1).OR.(ITYLCM.EQ.3)) THEN
         LERR1=IBASE(KNODE+JIDAT).NE.IBASE(KP1)
         LERR2=IBASE(KNODE+JIDAT+1).NE.IBASE(KP2)
      ELSE IF(ITYLCM.EQ.2) THEN
         LERR1=BASE(KNODE+JIDAT).NE.BASE(KP1)
         LERR2=BASE(KNODE+JIDAT+1).NE.BASE(KP2)
      ELSE IF(ITYLCM.EQ.4) THEN
         RRR1(1)=BASE(KNODE+JIDAT)
         RRR1(2)=BASE(KNODE+JIDAT+1)
         RRR2(1)=BASE(KP1)
         RRR2(2)=BASE(KP1+1)
         LERR1=DDD1.NE.DDD2
         RRR1(1)=BASE(KNODE+JIDAT+2)
         RRR1(2)=BASE(KNODE+JIDAT+3)
         RRR2(1)=BASE(KP2-1)
         RRR2(2)=BASE(KP2)
         LERR2=DDD1.NE.DDD2
      ELSE IF(ITYLCM.EQ.5) THEN
         LERR1=LBASE(KNODE+JIDAT).NEQV.LBASE(KP1)
         LERR2=LBASE(KNODE+JIDAT+1).NEQV.LBASE(KP2)
      ELSE IF(ITYLCM.EQ.6) THEN
         LERR1=(BASE(KNODE+JIDAT).NE.BASE(KP1)).OR.
     1   (BASE(KNODE+JIDAT+1).NE.BASE(KP1+1))
         LERR2=(BASE(KNODE+JIDAT+2).NE.BASE(KP2-1)).OR.
     1   (BASE(KNODE+JIDAT+3).NE.BASE(KP2))
      ENDIF
      IF(LERR1) THEN
         WRITE(HSMG,'(A,I5,A,3A4,A)') 'LCMVAL: LIST ELEMENT ',
     1   IVEC(ILEV),' OF THE TABLE ''',(IBASE(IPLIST+IHNAM+I),I=0,2),
     2   ''' HAS BEEN OVERWRITTEN (1).'
         CALL XABORT(HSMG)
      ELSE IF(LERR2) THEN
         WRITE(HSMG,'(A,I5,A,3A4,A)') 'LCMVAL: LIST ELEMENT ',
     1   IVEC(ILEV),' OF THE TABLE ''',(IBASE(IPLIST+IHNAM+I),I=0,2),
     2   ''' HAS BEEN OVERWRITTEN (2).'
         CALL XABORT(HSMG)
      ENDIF
      GO TO 80
*
  120 ILEV=ILEV-1
      IPLIST=KDATA(ILEV)
      GO TO 80
*
  200 RETURN
      END
