*DECK XSMDIR
      SUBROUTINE XSMDIR(IND,PFXS2)
*
*-----------------------------------------------------------------------
*
* IMPORT OR EXPORT A DIRECTORY USING THE KDI UTILITY.
*
* INPUT PARAMETERS:
*  IND   : =1 FOR IMPORT ; =2 FOR EXPORT.
*  PFXS2 : ADDRESS OF MEMORY-RESIDENT XSM STRUCTURE (BLOCK 2).
*
*------------------------------------- AUTHOR: A. HEBERT ; 30/09/86 ----
*
      CHARACTER HEADER*4,CIRC*8
      PARAMETER (IWRD=3)
      PARAMETER (IOFMAX=30,KIFILE=0,KIDIR=1,KMODIF=2,KIOFT=3,
     1 KNMT=4,KLINK=5,KIROOT=6,KMYNAM=7,KIOFS=10,KJLON=KIOFS+IOFMAX,
     2 KJTYP=KJLON+IOFMAX,KCMT=KJTYP+IOFMAX)
      INTEGER PFXS2,IBUF(IWRD)
      COMMON IBASE(1)
*
      IFILE=IBASE(PFXS2+KIFILE)
      IDIR=IBASE(PFXS2+KIDIR)
      IF(IND.EQ.1) THEN
         CALL KDIGET(IFILE,IBUF,IDIR,1,IRC)
         IF(IRC.NE.0) GO TO 40
         WRITE (HEADER,'(A4)') IBUF(1)
         IF(HEADER.NE.'$$$$') GO TO 30
         CALL KDIGET(IFILE,IOFMA2,IDIR+1,1,IRC)
         CALL KDIGET(IFILE,IBASE(PFXS2+KNMT),IDIR+2,1,IRC)
         NMT=IBASE(PFXS2+KNMT)
         IF(NMT.GT.IOFMAX) GO TO 30
         CALL KDIGET(IFILE,IBASE(PFXS2+KLINK),IDIR+3,1,IRC)
         CALL KDIGET(IFILE,IBASE(PFXS2+KIROOT),IDIR+4,1,IRC)
         CALL KDIGET(IFILE,IBUF,IDIR+5,IWRD,IRC)
         IBASE(PFXS2+KMYNAM)=IBUF(1)
         IBASE(PFXS2+KMYNAM+1)=IBUF(2)
         IBASE(PFXS2+KMYNAM+2)=IBUF(3)
         IF(NMT.EQ.0) RETURN
         IIOF=IDIR+5+IWRD
         CALL KDIGET(IFILE,IBASE(PFXS2+KIOFS),IIOF,NMT,IRC)
         CALL KDIGET(IFILE,IBASE(PFXS2+KJLON),IIOF+IOFMA2,NMT,IRC)
         CALL KDIGET(IFILE,IBASE(PFXS2+KJTYP),IIOF+2*IOFMA2,NMT,IRC)
         CALL KDIGET(IFILE,IBASE(PFXS2+KCMT),IIOF+3*IOFMA2,IWRD*NMT,IRC)
         IF(IRC.NE.0) GO TO 40
      ELSE IF(IND.EQ.2) THEN
         IBASE(PFXS2+KMODIF)=0
         HEADER='$$$$'
         READ (HEADER,'(A4)') IBUF(1)
         CALL KDIPUT(IFILE,IBUF,IDIR,1,IRC)
         IF(IRC.NE.0) GO TO 50
         CALL KDIPUT(IFILE,IOFMAX,IDIR+1,1,IRC)
         NMT=IBASE(PFXS2+KNMT)
         CALL KDIPUT(IFILE,IBASE(PFXS2+KNMT),IDIR+2,1,IRC)
         CALL KDIPUT(IFILE,IBASE(PFXS2+KLINK),IDIR+3,1,IRC)
         CALL KDIPUT(IFILE,IBASE(PFXS2+KIROOT),IDIR+4,1,IRC)
         IBUF(1)=IBASE(PFXS2+KMYNAM)
         IBUF(2)=IBASE(PFXS2+KMYNAM+1)
         IBUF(3)=IBASE(PFXS2+KMYNAM+2)
         CALL KDIPUT(IFILE,IBUF,IDIR+5,IWRD,IRC)
         IF(NMT.EQ.0) RETURN
         IIOF=IDIR+5+IWRD
         CALL KDIPUT(IFILE,IBASE(PFXS2+KIOFS),IIOF,NMT,IRC)
         CALL KDIPUT(IFILE,IBASE(PFXS2+KJLON),IIOF+IOFMAX,NMT,IRC)
         CALL KDIPUT(IFILE,IBASE(PFXS2+KJTYP),IIOF+2*IOFMAX,NMT,IRC)
         CALL KDIPUT(IFILE,IBASE(PFXS2+KCMT),IIOF+3*IOFMAX,IWRD*NMT,IRC)
         IF(IRC.NE.0) GO TO 50
      ENDIF
      RETURN
*
* ABORT ON FATAL ERRORS
   30 WRITE(6,'(/37H XSMDIR: UNABLE TO RECOVER DIRECTORY.)')
      STOP
   40 WRITE(CIRC,'(I8)') IRC
      WRITE(6,'(A35)') 'XSMDIR: (KDIGET) ERROR NO. '//CIRC
      STOP
   50 WRITE(CIRC,'(I8)') IRC
      WRITE(6,'(A35)') 'XSMDIR: (KDIPUT) ERROR NO. '//CIRC
      STOP
      END
