*DECK XSMGET
      SUBROUTINE XSMGET(IPLIST,NAMP,DATA2)
*
*-----------------------------------------------------------------------
*
* COPY A BLOCK FROM THE XSM FILE INTO MEMORY.
*
* INPUT PARAMETERS:
*  IPLIST : ADDRESS OF THE HANDLE TO THE XSM FILE.
*   NAMP  : CHARACTER*12 NAME OF THE CURRENT BLOCK.
*   DATA2 : INFORMATION ELEMENTS. DIMENSION DATA2(ILONG)
*
*------------------------------------- AUTHOR: A. HEBERT ; 30/09/86 ----
*
      INTEGER PFXS2
      CHARACTER NAMP*(*),NAMT*12,HNAME*12,HSMG*131
      DIMENSION DATA2(*)
      PARAMETER (IHEAD=0,IHNAM=1,IIMPF=5,IIDIR=6,IBLOC=7)
      PARAMETER (IOFMAX=30,KIFILE=0,KIDIR=1,KMODIF=2,KIOFT=3,
     1 KNMT=4,KLINK=5,KIROOT=6,KMYNAM=7,KIOFS=10,KJLON=KIOFS+IOFMAX,
     2 KJTYP=KJLON+IOFMAX,KCMT=KJTYP+IOFMAX)
      COMMON IBASE(1)
*
      WRITE(HNAME,'(3A4)') (IBASE(IPLIST+IHNAM+I),I=0,2)
      IF(IBASE(IPLIST+IHEAD).NE.200) THEN
         WRITE(HSMG,'(A,A12,A)') 'XSMGET: THE XSM FILE ''',HNAME,
     1   ''' HAS THE WRONG HEADER.'
         CALL XABORT(HSMG)
      ENDIF
      NAMT=NAMP
      PFXS2=IBASE(IPLIST+IBLOC)
*     -------------------------------------------------
      CALL XSMREP(NAMT,1,IBASE(IPLIST+IIDIR),PFXS2,III)
*     -------------------------------------------------
      IF(III.GT.0) THEN
*        THE BLOCK EXISTS. RECOVER IT.
         CALL KDIGET(IBASE(PFXS2+KIFILE),DATA2,IBASE(PFXS2+KIOFS+III-1),
     1   IBASE(PFXS2+KJLON+III-1),IRC)
         IF(IRC.NE.0) THEN
            WRITE(HSMG,'(A,I6,A,A12,A)') 'XSMGET: KDIGET ERROR NB.',
     1      IRC,' ON XSM FILE ''',HNAME,'''.'
            CALL XABORT(HSMG)
         ENDIF
         RETURN
      ENDIF
      WRITE(HSMG,'(2A,A12,A,3A4,A,A12,A)') 'XSMGET: UNABLE TO FIND BL',
     1 'OCK ''',NAMT,''' INTO DIRECTORY ''',(IBASE(PFXS2+KMYNAM+I),
     2 I=0,2),''' IN THE XSM FILE ''',HNAME,'''.'
      CALL XABORT(HSMG)
      END
