*DECK XSMIOF
      SUBROUTINE XSMIOF(IPLIST,NAMP,IOFDUM)
*
*-----------------------------------------------------------------------
*
* GET A SETARA POINTER FOR AN ENTRY IN THE XSM FILE.
*
* INPUT PARAMETERS:
*  IPLIST : ADDRESS OF THE HANDLE TO THE XSM FILE.
*    NAMP : CHARACTER*12 NAME OF THE CURRENT BLOCK.
*
* OUTPUT PARAMETER:
*  IOFDUM : SETARA POINTER TO THE XSM ENTRY NAMED NAMP.
*
*------------------------------------- AUTHOR: A. HEBERT ; 09/12/00 ----
*
      CHARACTER NAMP*(*)
      PARAMETER(MAXIT=100,ICANG2=10)
      COMMON IBASE(1)
*
      CALL XSMLEN(IPLIST,NAMP,ILONG,ITYXSM)
*
      IPKEP2=IBASE(IPLIST+ICANG2)
      N=IBASE(IPKEP2)
      NMAX=IBASE(IPKEP2+1)
      IOF=IBASE(IPKEP2+2)
      DO 10 I=N,1,-1
      IF(IBASE(IOF+3*I-3).EQ.LOCF(IOFDUM)) THEN
         I0=I
         GO TO 20
      ENDIF
   10 CONTINUE
      GO TO 40
   20 IF(ILONG.EQ.IBASE(IOF+3*I0-1)) THEN
         IOFDUM=IBASE(IOF+3*I0-2)
         CALL XSMGET(IPLIST,NAMP,IBASE(IOFDUM))
         RETURN
      ENDIF
      CALL RLSARA(IBASE(IBASE(IOF+3*I0-2)))
      DO 30 I=I0,N-1
      IBASE(IOF+3*I-2)=IBASE(IOF+3*I+1)
      IBASE(IOF+3*I-1)=IBASE(IOF+3*I+2)
   30 IBASE(IOF+3*I)=IBASE(IOF+3*I+3)
      IBASE(IPKEP2)=IBASE(IPKEP2)-1
      N=IBASE(IPKEP2)
*
   40 CALL SETARA(IBASE,ILONG,IOFDUM)
      CALL XSMGET(IPLIST,NAMP,IBASE(IOFDUM))
*
      IF(N+1.GT.NMAX) THEN
         NMAX=NMAX+MAXIT
         CALL SETARA(IBASE,3*NMAX,INEW)
         DO 50 I=1,3*N
   50    IBASE(INEW+I-1)=IBASE(IOF+I-1)
         IF(N.GT.0) CALL RLSARA(IBASE(IOF))
         IBASE(IPKEP2+1)=NMAX
         IBASE(IPKEP2+2)=INEW
         IOF=INEW
      ENDIF
      N=N+1
      IBASE(IPKEP2)=N
      IBASE(IOF+3*N-3)=LOCF(IOFDUM)
      IBASE(IOF+3*N-2)=IOFDUM
      IBASE(IOF+3*N-1)=ILONG
      RETURN
      END
