*DECK XSMNXT
      SUBROUTINE XSMNXT(IPLIST,NAMP)
*
*-----------------------------------------------------------------------
*
* FIND THE NAME OF THE NEXT BLOCK STORED IN THE ACTIVE DIRECTORY.
* 
* INPUT PARAMETERS:
*  IPLIST : ADDRESS OF THE HANDLE TO THE XSM FILE.
*    NAMP : CHARACTER*12 NAME OF A BLOCK. IF NAMP=' ' AT INPUT, FIND
*           ANY NAME FOR ANY BLOCK STORED IN THIS DIRECTORY.
*
* OUTPUT PARAMETERS:
*    NAMP : CHARACTER*12 NAME OF THE NEXT BLOCK. NAMP=' ' FOR AN EMPTY
*           DIRECTORY.
*
*------------------------------------- AUTHOR: A. HEBERT ; 30/09/86 ----
*
      INTEGER PFXS2
      CHARACTER*(*) NAMP
      CHARACTER HNAME*12,NAMT*12,HSMG*131,MYNAME*12
      PARAMETER (IHEAD=0,IHNAM=1,IIMPF=5,IIDIR=6,IBLOC=7)
      PARAMETER (IOFMAX=30,KIFILE=0,KIDIR=1,KMODIF=2,KIOFT=3,
     1 KNMT=4,KLINK=5,KIROOT=6,KMYNAM=7,KIOFS=10,KJLON=KIOFS+IOFMAX,
     2 KJTYP=KJLON+IOFMAX,KCMT=KJTYP+IOFMAX)
      COMMON IBASE(1)
*
      WRITE(HNAME,'(3A4)') (IBASE(IPLIST+IHNAM+I),I=0,2)
      IF(IBASE(IPLIST+IHEAD).NE.200) THEN
         WRITE(HSMG,'(22HXSMNXT: THE XSM FILE '',A12,13H'' HAS THE WRO,
     1   10HNG HEADER.)') HNAME
         CALL XABORT(HSMG)
      ENDIF
      NAMT=NAMP
      PFXS2=IBASE(IPLIST+IBLOC)
      IF(NAMT.EQ.' ') THEN
         IF(IBASE(PFXS2+KIDIR).NE.IBASE(IPLIST+IIDIR)) THEN
*           SWITCH TO THE CORRECT ACTIVE DIRECTORY (BLOCK 2).
            IF(IBASE(PFXS2+KMODIF).EQ.1) CALL XSMDIR(2,PFXS2)
            IBASE(PFXS2+KIDIR)=IBASE(IPLIST+IIDIR)
            CALL XSMDIR(1,PFXS2)
         ENDIF
         III=MIN(IBASE(PFXS2+KNMT),1)
      ELSE
*        -------------------------------------------------
         CALL XSMREP(NAMT,1,IBASE(IPLIST+IIDIR),PFXS2,III)
*        -------------------------------------------------
      ENDIF
      WRITE(MYNAME,'(3A4)') (IBASE(PFXS2+KMYNAM+I),I=0,2)
      IF((III.EQ.0).AND.(NAMT.EQ.' ')) THEN
*        EMPTY DIRECTORY
         WRITE(HSMG,'(30HXSMNXT: THE ACTIVE DIRECTORY '',A12,
     1   19H'' OF THE XSM FILE '',A12,11H'' IS EMPTY.)') MYNAME,HNAME
         CALL XABORT(HSMG)
      ELSE IF(III.EQ.0) THEN
         WRITE(HSMG,'(2A,A12,A,3A4,A,A12,A)') 'XSMNXT: UNABLE TO FIND',
     1   ' BLOCK ''',NAMT,''' INTO DIRECTORY ''',(IBASE(PFXS2+KMYNAM+I),
     2   I=0,2),''' IN THE XSM FILE ''',HNAME,'''.'
         CALL XABORT(HSMG)
      ELSE IF(III+1.LE.IBASE(PFXS2+KNMT)) THEN
         WRITE(NAMT,'(3A4)') (IBASE(PFXS2+KCMT+III*3+I),I=0,2)
         NAMP=NAMT
         RETURN
      ENDIF
*
*     SWITCH TO THE NEXT DIRECTORY.
      IF(IBASE(PFXS2+KIDIR).NE.IBASE(PFXS2+KLINK)) THEN
         IF(IBASE(PFXS2+KMODIF).EQ.1) CALL XSMDIR(2,PFXS2)
         IBASE(PFXS2+KIDIR)=IBASE(PFXS2+KLINK)
*        RECOVER THE NEXT DIRECTORY.
         CALL XSMDIR(1,PFXS2)
      ENDIF
      WRITE(NAMT,'(3A4)') (IBASE(PFXS2+KCMT+I),I=0,2)
      NAMP=NAMT
      IF(NAMP.EQ.'***HANDLE***') NAMP=' '
      RETURN
      END
