from Pyall import *
from os import uname
candu = Pyall()
candu.evaluationName = "all"
candu.execDir = "../" + uname()[0]
candu.legendre = 1
candu.nstr= 22

candu.temperatures = ( 293.6, 323.6, 573.6, )

candu.hmat = "H1_H2O"
candu.mat = 125
candu.za = 1001
candu.scatName = "lwtr"
candu.suff=0.20
candu.evaluationFile = "/home/develop/Tripoli4/JEF2/eval/jef2.neutron.H1.bcd"
candu.scatteringLaw = "/home/develop/Tripoli4/JEF2/eval/jef2.neutron.H1_H2O.bcd.therm"
candu.scatteringMat = 1
candu.fission = None
candu.dilutions = None
candu.pendf()
candu.gendf()
candu.draglib()
candu.dirName = "H2O-1"
candu.tempace = ( 293.6,)
candu.acer()
candu.comp()

candu.scatteringLaw = None
candu.fission = None
candu.dilutions = None

candu.hmat = "U235"
candu.mat = 9228
candu.evaluationFile = "/home/karam/Njoy99/evaluations/database/U-235"
candu.fission = 2  # fission with delayed neutrons
candu.ss = (2.76792, 1.22773e5)
candu.potential = 11.6070
candu.dilutions = ( 1.e10, 94.5317612, 56.3173141, 33.5510521, 19.9880447, \
11.9078817, 7.09412289, 4.22632504, 2.51783395, 1.5 )
candu.pendf()
candu.gendf()
candu.draglib()
candu.dilutions = ( 1.e10, 10000.0, 5957.50244, 3549.18335, 2114.42676, \
1259.67004, 750.448669, 447.079956, 266.347961, 158.676849 )
candu.pendf()
candu.gendf()
candu.draglib()
candu.suff=80e-2
candu.dirName = "U235-1"
candu.tempace = ( 293.6,)
candu.acer()
candu.comp()


candu.hmat = "U238"
candu.mat = 2922
candu.evaluationFile = "/home/karam/Njoy99/evaluations/database/cendl2.6"
candu.fission = 1  # fission without delayed neutrons
candu.ss = (2.76792, 1.22773e5)
candu.potential = 11.8237
candu.dilutions = ( 1.e10, 94.5317612, 56.3173141, 33.5510521, 19.9880447, \
11.9078817, 7.09412289, 4.22632504, 2.51783395, 1.5 )
candu.pendf()
candu.gendf()
candu.draglib()
candu.dilutions = ( 1.e10, 10000.0, 5957.50244, 3549.18335, 2114.42676, \
1259.67004, 750.448669, 447.079956, 266.347961, 158.676849 )
candu.pendf()
candu.gendf()
candu.draglib()
candu.suff=80e-2
candu.dirName = "U238-1"
candu.tempace = ( 293.6,)
candu.acer()
candu.comp()
candu.suff=81e-2
candu.dirName = "U238-2"
candu.tempace = ( 323.6,)
candu.acer()
candu.comp()
candu.suff=82e-2
candu.tempace = ( 573.6, )
candu.dirName = "U238-3"
candu.acer()
candu.comp()

candu.hmat = "B10"
candu.mat = 525
candu.evaluationFile = "/home/karam/Njoy99/evaluations/database/B-10"
candu.fission = None
candu.dilutions = None
candu.pendf()
candu.gendf()
candu.draglib()
candu.suff=80e-2
candu.dirName = "B10-1"
candu.tempace = ( 293.6,)
candu.acer()
candu.comp()
candu.suff=81e-2
candu.dirName = "B10-2"
candu.tempace = ( 323.6,)
candu.acer()
candu.comp()
candu.suff=82e-2
candu.tempace = ( 573.6, )
candu.dirName = "B10-3"
candu.acer()
candu.comp()

candu.hmat = "Xe135"
candu.mat = 5458
candu.evaluationFile = "/home/karam/Njoy99/evaluations/database/jendl310.asc"
candu.makeFp()
candu.suff=80e-2
candu.dirName = "Xe135-1"
candu.tempace = ( 293.6,)
candu.acer()
candu.comp()
candu.suff=81e-2
candu.dirName = "Xe135-2"
candu.tempace = ( 323.6,)
candu.acer()
candu.comp()
candu.suff=82e-2
candu.tempace = ( 573.6, )
candu.dirName = "Xe135-3"
candu.acer()
candu.comp()
